Welcome

User's manual for asix6

www.asix.com.pl

Architect Module -

Interactive application configuration environment

Handling of VarDef - Variable Definition Base

Doc. No ENH6019

Version: 19-08-2010


1.1. Introduction

Architect manual is designed for all users of asix software. It describes the structure and functions of Architect module, allowing to gain some expertise on configuration of asix applications.

Architect is a user-friendly interactive environment that allows a fully visual designing, configuration and ongoing application editing. In particular, this pertains to the channel definition and variable address definition editing.

While parameterizing the application with use of Architect, the user utilizes windows containing sets of comfortable tabs, which group the options responsible for specific functional areas of the designed application. Architect module is a powerful tool integrating the configuration of all key modules responsible for the operation of asix system [*]. It allows the user to make settings and modify all of its options and parameters necessary for proper operation of asix system application. Such solution enables the user to shorten the time of complex application development and facilitates the management of the entire industrial process control and supervision system.

Architect contains VarDef module responsible for management of the Variable Definition Databases management. It allows a fully interactive and visual handling of the definitions database, creating and editing the database structure and editing of the database contents. Architect supports Microsoft SQL Server 2000/2005/2008 databases, MDB (Jet/Microsoft Access) database, and also the databases of variable definitions acquired directly from the Excel worksheets. In order to guarantee compatibility with older versions of asix suite, the variable definitions can be also loaded from Paradox databases and text files.

The materials included in this manual present a step-by-step approach to the full process of asix application configuration.

For comfort, the practical tips are marked with icon [image].

A reference to another asix suite help manual is marked with icon [image].

Important remarks are marked with icon [image].

[*] The scope of configuration of asix application offered by Architect module does not include the editing of: masks, scripts, reports, bitmaps, timers, trends, alarm exclusion file, conditional backup file. The manner of operation of the key modules and key function of asix system is described in ‘Asix – User’s Manual’. Description of functionality of other asix suite modules are contained in separate manuals, located in directory ‘Manuals’ (PDF files) and ‘HelpPL’ (CHM, HLP files)


1.2. Asix system components

Asix is an open system built upon OPC (OLE for Process Control), DDE, Automation, OLE DB and .NET technologies with options of Internet and WAN operation (TAPI). Its modular structure enables the optimal customization of the functionality to the required needs.

The following overview of the specific components of asix system presents its functional abilities. The relation of Architect module with other asix components is presented in Figure below.

Fig. Main components of asix system.

Variable definitions database - VarDef

In asix system the variable definitions database is the space for storing of all information on process variables. Each variable identified by unique Name is assigned to one record in the variable definitions database; the fields of this record contain the values of so-called variable attributes. The attribute list includes mandatory, optional and user-defined items. The mandatory attributes are e.g. variable description unit, channel number for communication with the object, archiving parameters. The optional attributes are e.g. limits, format, ranges. Furthermore, the user may also create their own text attributes, individual for each project, e.g. KKS or assembly data.

VarDef system supports Microsoft SQL Server 2000/2005/2008 databases and MDB (Jet/Microsoft Access) databases. In order to migrate the application from earlier asix versions, the variable definitions may be converted from Paradox database or text files to the MSQL or Jet database.

Architect module provides a full support of VarDef database in Jet or MS SQL format. In this regard, it combines the functionality of two separate programs applied previously for creating and editing the variable definitions databases: Variable Database Manager and Variable Database Editor (used in the older asix versions). Those applications are still included in asix suite to enable the use of the older database version.

AS

The basis of asix system is AS module. During the operation of asix system in the design mode, AS program takes the form of Constructor window and provides a series of instructions and objects used for application designing. Constructor allows to design and parameterize the application windows and to run the application. The application consists of a system of windows – so-called process masks (or application synoptic screens), which – if correctly parameterized – describe the condition of the monitored and controlled industrial process. The rich library of static and dynamic objects, with attributes controlled by the process variable values, provide many possibilities to build the visualization system.

When AS program is started in the application runtime mode, the Control Panel window is automatically opened. This is the central application window offering a set of commands for application operation control and presenting and storing messages related to the internal operation of asix system.

Both the design and application runtime modes are executed by AS basing on the configuration file in xml format. This file, generated by Architect program, stores the settings of all application parameters of asix system.

Operation of AS module is supported by modules: Asmen, Aslink and Aspad.

Asmen

Asmen module is the communication manager responsible for transferring data between the machines with asix application running and the controllers handling the monitored process. Asmen module supervises the cyclical updating of variable values and intermediates in all operations related to transferring control data to the object. The direct data exchange between the computer and the object controller is performed through communication drivers working under Asmen control. The set of drivers used in the visualization system is each time dependent on the manner of connection between the given system and the industrial controllers.

The special mode of Asmen module operation is the simulation mode. In this mode, the values of process variables are not defined upon the data from the physical transmission channel, but generated with use of appropriate calculation functions designed for simulation of communication with the target environment. The simulation mode is especially useful for application design stage, when most often it is impossible to connect to the controllers.

Aslink

Aslink module is a network module used in the network deployments. It allows other asix components to communicate with each other by means of LAN. ASLINK defines the set of network services to be used by all other asix system programs.

Aspad

Aspad module is the data archiving module designed for saving and restoring the temporal trends of variables. In asix system, those trends are used for developing graphs and reports. Those can be also utilized for the calculation of syntetic variables. The calculation and storing of archive files is support by the additional AspadTools utility.

AsixConnect

Machine with physical connection to the controller (by means of serial link, industrial bus or local area network) is a source of information on process variables for other machines in the local network. Such machine becomes the current and archival data server and alert server. AsixConnect package intermediates the access to such data.

AsixConnect also allows to export the temporal trends of asix system variable to other applications, e.g. EXCEL worksheets by means of DDE, Automation or .NET mechanism.

AsTrend

AsTrend program is designed for graphical presentation of archival data collected by Aspad data archiving program. It allows to display, browse and print the temporal trend of selected variable sets and is used to develop "graphical reports" of the object operation. The program can operate in two modes: static presentation of data from archive files or dynamic displaying of ongoing data fed from the controllers.

AsScripter

The scripting module is the extension of asix system allowing to run scripts in ActiveX Scripting technology, developed in VBScript or JScript. The scripts enable the execution of uncommon calculations, programming of the special system response for events, support of dedicated databases and the calculation of reports.

AsAlert

AsAlert module is used for remote notification of selected persons about important events by means of e-mail or SMS messages. AsAlert can also work as a general purpose notification system. Its strength is fully displayed during operation within asix system. The interfacing of AsAlert with asix alarm detection and handling mechanism allows to send alerts automatically in response to the change of selected alarm status change.

AsBase

AsBase module is dedicated for development of applications aimed to perform event-based The second application of the module is the execution of the prescription management system.

Asix4Internet

Asix4Internet is a tool containing three modules: AsPortal, As2HTML and the module for conversion of asix applications into Web application, embedded into Architect. The innovative quality of Asix4Internet allows to visualize and supervise the execution of industrial processes with use of Web browser.

The process data portal AsPortal enables viewing of all process data, i.e. application variable database, current and archival measurement values, historic alarm archive, and list of active alarms - in form of tables, graphs or reports. As2HTML package allows to design and create dynamic HTML pages containing the process data from asix system applications. At the same time, the conversion module allows for automatic generation of Web application out of standard asix system application.

AsAudit

AsAudit is an advanced asix package tool, aiming basically to adjust asix to the requirements set by the system validation procedures compliant with GAMP4, FDA 21 CFR Part 11 standards applied in pharmaceutical and food industry. The module extends the central user logging and authorization control system implemented in asix with functions of registration of performed control actions and operator’s actions and the function of application integrity control.

PEdit, PSelect

There are also some additional tools extending the asix system functionality in scope of trend pattern handling. One of them is PEdit – trend pattern editor. The other one - PSelect – is a tool for manual or automatic selection of curve pattern or transferring the selected curve pattern to the controller, where it can be used for control operations.

AsComm

AsComm program is used for management and monitoring the connections established by means of serial ports or modems by asix system modules.

AslView

AslView program is used for visualization and diagnosing network connections of asix system. The program allows to connect with Aslink network module operating on local or remote station and to monitor the status of connections established by other asix system components – e.g. Asmen and Aspad, and also to control the status of time synchronization with other stations. AslView also enables parameterization of Aslink network module operation.


1.3.1. Starting the Architect module

To open the Architect module, select the following options from the Start menu of the operating system:

Programs > asix > Architect


1.3.2. Closing the Architect module

To close the Architect module, select Exit in the File menu of the Architect program.


1.3.3. Main window of the Architect module

Architect offers a friendly graphical user interface. The designer’s environment is the application window divided into two major parts:

- left block for the parameter categories for databases and application data;

- right block for the configuration parameters.

Parameters configuring the application operation and declaring the database being the basis for the application operation are saved in one shared XML file (Extensible Markup Language), located in the root directory of the designed application.

The contents of the left block of Architect window can be switched with Databases and Fields and computers buttons (located in the lower part of the block).

Databases [image] button displays the parameter tree for configuration of the variable definitions database and alert database for the given application.

Figure: Architect window – view of the parameter groups for configuration of the variable definitions and alarm databases.

Fields and computers [image] button activates a block containing the list of machines, for which the asix application is being configured and a parameter group tree for configuration of the application operation.

Figure: Architect window – view of the machine list and the parameter group tree for application configuration.

The configuration parameters available in the right block of the Architect window are located in topical tabs.

In this block, the designer assigns the necessary values for specific parameters of the application and the database being the basis for application operation.

Figure: Architect window – example of tab for parameterization of archival data.

User utilizing the Architect configuration environment does not interfere with the operation of the very application running in background. Some changes of the parameter settings are updated automatically while saved, although in most cases it is necessary to restart the application.


1.3.3.1 Module tree

The main navigation tool for locating the specific functional areas of the Architect program is the module tree. It is located in the left block of the main application window.

Figure: Architect window – application module tree view.

As the real application operating in the object often works in various manner on different stations, it is necessary to define several parameter sets for specific stations in one XML file. To view the set of parameters for the selected station, click the selected Computer from the list of declared machines in the Fields and Computers field.

The application operation area, shared by several or all machines, is described here through Field element – when the element is clicked, it is possible to set the application parameter values, which are identical for all stations.

Configuration on the Field level produces global settings for all machines in this field, and the configuration on the Computer level allows to customize settings depending on the machine (other settings for the operator station and other for the dedicated data server in the corporate network). The Computer level settings take precedence before the Field level settings.

The parameters configuring the application operation are divided into the following modules:

- Start parameters,

- Masks,

- Current data,

- Current data - network server,

- Historical data,

- Alarms system,

- Network module,

- Security,

- Printout,

- Reports,

- Actions and Schedules,

- Miscellaneous.

The database module tree view (button Databases), depending on the variable definition database type, includes the items described below.

Figure: Architect window – view of module tree for databases.

- Varbase – parameters determining the Varbase type, Varbase format and Varbase sources:

- Items definitions editor (available for the variable definitions base type – Variable definitions base of Asix 5-6 system, after opening of the database);

- Scheme editor (available for the variable definitions base type – Variable definitions base of Asix 5-6 system, after opening of the database);

- Alarmbase – parameters determining Type, Data sources and Template of the alarm definitions source file; (tabs Alarmbase > Data sources and Alarmbase > Template are available for the following setting of Type of the alarm base – Alarm definitions base is generated from a spreadsheet);

- ActionSetBase - parameter determining the action set base work mode:

- action set definitions are eddited by the developer in Actions and Schedules module on Action sets tab;

- action set definitions are generated from spreadsheets data.

- Options – allowing to set the following settings individually for each application:

- main window view during Architect start-up (tab Options > Start),

- XLS file editor (tab Options > Data sources - edit),

- XLS file read engine (tab Options > Data sources - read engine),

- parameters for variable definitions database viewing (tab Options > Variable definitions base).

(for details see: 1.3.4. Individual options of Architect operationtion)


1.3.3.2 Configuration parameters block

The configuration parameters block enables changing the parameters configuring the operation of asix system applications and variable definitions database parameters.

Fig. Architect window – example of configuration parameter block view

This block changes into items definition editor window, if the variable definitions database in format SQL or Jet is opened (the option Variable definitions base of Asix 5-6 system in parameter group Databases > Varbase > Type is selected).

Fig. Items definitions editor window.


1.3.4. Individual options of Architect operation

It is possible to determine some default options of Architect operation, valid during the work on the given application file.

The database module tree ( [image] button) includes Options module, which offers the following settings.

Start tab:

  • Active editor after program start-up – allows to determine which editor will be launched on program start-up:

  • Application editor (with indication of active field/computer),

  • Database editor;

  • Active module after field/computer change – activates a mechanism, which remembers the module and tab last opened for the given field or computer during the current session:

  • The same for all computers/fields – last opened module and tab will be by default activated after changing to any field/computer;

  • Individual for each computer/field – the last opened module and tab will be saved individually for each field/computer.

Fig. Architect operation options module – ‘Start’ tab.

Data sources - read engine tab allows to declare XLS file read engine.

Fig. Architect operation options module – ‘Data sources - read engine' tab.

Data sources - edit tab allows to declare the editor for XLS file editor.

Fig. Architect operation options module – ‘Data sources - edit' tab.

Variable definitions base tab allows to define parameters useful for checking the variable selection window operation; the language selection results are visible in Variable preview window activated with use of button [image]:

Variable definition base preview window:

Visible variables – allowing to limit the set of displayed variable definitions to active or archived variables;

Application languages – enabling the selection of language used for displaying the variable attributes headers and values (attribute headers for required languages are declared in the variable definitions base scheme, and the translations of attribute values (e.g. Description attribute) in the variable definitions base).

Fig. Architect operation options module – ‘Variable definitions base’ tab.


1.3.5. Main menu and available commands

Commands executed by Architect module are grouped into 9 categories:

1. File,

2. Application,

3. Fields and Computers,

4. View,

5. Tools,

6. Help,

7. Variable Definitions Editor,

8. Variable Definitions Base,

9. Alarmbase.

User may decide, which commands will be displayed in the Architect window. This is performed with use of Customize… window, launched after right-clicking on any toolbar or main menu. The ‘Customize’ window will be displayed allowing to configure toolbars and available commands according to the user’s preferences.

Fig. Window for configuration of contents of the toolbars.

The following command categories are available in Architect module window:

File

- [image] New Application (Ctrl + N);

- [image] New Application – Wizard;

- New Application – OPC Wizard - it runs the new application wizard with data import from OPC server;

- [image] New Application – Importer;

- [image] Open (Ctrl + O); opens XML file;

- [image] Save (Ctrl + S);

- [image] Save as …

- [image] Exit; end of Architect module operation;

Application

- [image] Run Asix System (F5) - running asix system application for the selected machine;

- [image] Run Asix System – Designer (F6) - running asix system application in the Constructor mode for the selected station;

- [image] Stop Asix System (Ctrl + F5) - closes the asix system applications;

- [image] Configure Reporting System AsRaport;

- [image] Configure Internet Applications;

- [image] Configure Appearance of AsPortal Application;

- [image] Generate Web Application;

- Application Color Palette;

- Generate List of Used Variables;

Variable Definitions Base - the range of accessible commands is depended on Variable Definition Database type !!!

- [image] Show (F7) - it opens the window for viewing Variable Definition Database;

- [image] Open (Ctrl + B) - it opens the window for editing Variable Definition Database;

- [image] Save - it saves changes in Variable Definition Database;

- [image] Close - it closes edition mode of Variable Definition Database;

- [image] Reopen - it closes and opening the window for editing Variable Definition Database;

- [image] Online Update - when it is impossible to stop the asix application running, the user can modify Variable Definition Database on-line (modifications are loaded by asix at once);

- [image] Show Modifications... - it allows to trace all the changes done in Variable Definition Database in the demanded time interval;

- [image] Import Modifications... - it allows to import changes done into Variable Definition Database (all the changes have to be prepared in XLS spreadsheet);

- [image] Export - it allows to export varible definitions into XLS spreadsheet;

Import From OPC Server - it opens the window for importing Variable Definition Database from OPC server into XLS file;

- [image] Create New - it creates a new Variable Definition Database;

- [image] Delete - it deletes an existing Variable Definition Database;

- [image] Backup... - it creates backup of Variable Definition Database;

- [image] Restore - it restores Variable Definition Database from a backup;

- [image] Add Attribute - it adds a new attribute to Variable Definition Database;

- [image] Delete Attribute - it deletes an attribute from Variable Definition Database;

- [image] Change Attribute Size;

- Variable Definition Editor:

- [image] Insert Variable Definition - it adds a new variable definition record;

- [image] Insert Copy of Variable Definition - it adds a new record of a copied variable definition;

- [image] Insert System Variable Definition - it adds a new record of a system variable;

- [image] Insert Variable Definition from OPC Channel;

- [image] Change Values - it allows the user to change all selected variable definition attribute values to a new value;

- [image] Replace Selected - it allows the user to change the one variable definition attribute value in the range of selected values of a given attribute;

- [image] Replace in Column - it allows the user to change the determined item definition attribute value appearing in the given column to a new one;

- [image] Clear Selected;

- [image] Immediate Edit - when active, it allows to immediate editoin of a current field after entering any character in it;

- [image] Copy Row to Clipboard;

- [image] Add Variable Names to Clipboard;

- [image] Help;

- [image] Show Attributes - All;

- [image] Show Attributes - Current;

- Show Attributes - System;

Alarm Definition Base

- [image] Show... (F8) - it runs the alarm change window;

- [image] Generate (Ctrl + H) - it generates Alarm Definition Base;

Fields and Computers

- [image] Add Field...;

- [image] Remove Field;

- [image] Rename Field...;

- [image] Add Computer...;

- [image] Remove Computer;

- [image] Rename Computer...;

- Make Copy of Computer...;

- Make Copy of Computer - Terminal...;

- [image] Add Channel...;

- Make Copy of Channel...;

- [image] Change Channel Definition...;

- [image] Delete Channel;

- Manage Channels... - it opens the window to delete, change the type and copy selected channes;

- [image] Add Archive...;

- Make Copy of Archive...;

- [image] Change Archive Name...;

- [image] Delete Archive;

- Manage Archives...;

- Manage Options...;

- Import Options...;

- [image] Show Info...;

View

- [image] Styles - it allows to set the Architect window look;

- [image] Toolbars - it includes the list of Architect toolbars and the 'Customize...' window;

- Computers/Fields; Modules of Application Options; Modules of Databases Options; Program Options - switch the user over on the proper module/window;

- Show Advanced Options - it activates the hidden options located on the Architect tabs;

Tools

- [image] Shortcut Creator... - it creates a shortcut for an asix system application opening;

- [image] Spreadsheet... - it runs the built-in spreadsheet;

- Table Editor... - it runs the Table object editor;

- [image] Select Language - it changes the asix system language;

- [image] Static Policies - it runs the 'Static Policies Manager' window for setting the mechanisms protecting the access for operating system functions;

- [image] AsTrend - it runs the program for graphic presentation of archival data;

- [image] Trends V1 Converter - it runs trend converter to convert DAT files (with trend definition) into file compatible with the new version of AsTrend program;

- [image] AsBase - it runs AsBase program;

- [image] AsRaport - it runs the program for edition of SQL querys used for creating reports in the MS Reporting Services environment;

- [image] Askom.Data.Host - it runs the program for configuration the environment enabling transfer of process data from asix system application into the MS Reporting Services environment;

- [image] AsixConnect 6 Configuration - it runs the program for AsixConnect package configuration;

- [image] Network Module - Options for Servers - it runs the program for configuration of network settings;

- [image] Alerts Configuration - it runs the program for alerts configuration;

- [image] AsAudit Configuration - it runs the program for AsAudit configuration;

- [image] Log and Configuration Directories - it runs the program for declaration of directories for log files and asix application XML files;

- [image] Asix Package Manager - it runs the program for configuration of Windows operating system to enable running the needed asix package (it is possible to have several versions oof asix package installed on one operating system);

- [image] Version of the Asix System;

Help

- [image] Help - it runs the help file for Architect program;

- [image] Asix - it runs the file for the main asix system user's manual;

- [image] Communication Drivers - it runs the help file for the asix communication drivers;

- [image] Asix4Internet - it runs the help file for the Asix4Internet programs;

- [image] AsixConnect 6 - it runs the help file for the AsixConnect package;

- [image] Scripts - it runs the help file for the Scripetr module (it enables using the scripts to extend asix package functionality);

- [image] Defect Report - it runs the e-mail program to send the message "I submit a bug in the program ASIX Architect";

- [image] Modification Proposal Report - it runs the e-mail program to send the message with proposals how to develope the Architect program;

- [image] About - it runs the window with the information on the Architect program version;


2.1 Introduction

The variable definitions database - VarDef is the basic repository of entire information on all variables of the designed visualization system. This is the foundation supporting the construction of asix application, including its configuration with use of Architect module.

Each variable identified by a unique Name is associated with one record in the variable definitions base. The fields of such record contain the values of so-called variable attributes. List of attributes includes mandatory, optional and user-defined items. The mandatory attributes are: variable description, unit, name of channel of communication with object, declaration of the manner of conversion of data acquired from controller, archiving parameters. Optional attributes are e.g. limit values, format, ranges. Furthermore, user may also create their own text attributes individual for each project, e.g. KKSes or assembly data.

Except for the variable definitions, the variable definitions base VarDef also stores information on: grouping attributes, attribute sets, conversion functions, attribute headers, national languages of variable attributes used in the designed application, information on the substitute attributes (for multi-language application) or average names for AsTrend. Those additional data are available from the level of Varbase > Scheme editor.

It is possible to use the Excel worksheet directly as the variable base, without the stage of variable generation stage. After the worksheet is loaded, it is no longer used.

Configuration data related to the variable definition base are configured in Architect module with use of Varbase (opened with [image] button located in the left block of Architect window) and saved in XML configuration file for the created application.

The method of operation of the entire application is determined in single XML file – common for the data related to variable definitions base and the parameter values defining the application operation.

Fig. Variable Definition Base configuration module window.

The special type of asix variables are system variables:

__USERID__ - it allows access to the current logged-in user ID;

__USERNAME__ - it allows access to the current logged-in user name;

__USERLEVEL__ - it allows access to the current authirity level of user;

__AGR_IdGrupy__ - it allows to display the state of alarms belonging to the same group.


2.1.1. Database creation mode

Architect enables creation of databases in the following modes:

1. the base is created and edited manually – Editor mode;

2. the database is generated on the basis of data supplied from external sources (e.g. through Excel work sheets) – Generator mode;

3. variable definitions are acquired directly from Excel worksheet, without the stage of variable base generation – Data source mode.


2.1.2. Database format

2.1.2. Database type and format

In asix visualization system, the variable definitions database data can be stored:

- as Jet database,

- as MSQL 2000/2005 database,

- directly in Excel files,

Jet database

The recommended format of the variable definitions database is Microsoft Jet base. It does not require the deployment of database server, and the base itself is contained in single .mdb file, which can be easily transferred between the machines.

MS SQL database

MS SQL database is recommended for large applications operating on approx. 20,000 and more variables.

MS SQL database should be also applied, if the designed application is multilingual.

Variable definitions stored in external sources - XLS files

Storing variable definitions in spreadsheet is a comfortable choice in the stage of application design, as the stored information are legible and the user can easily make changes in the data structure and values.

In asix5-6 system, the variable definitions can be acquired from Paradox database or text files due to compatibility with earlier system versions.

***

The Type and format of Variable Definition Base are defined on Type and Format tabs (Architect > Databases).

The Type tab enables you to choose the following types of Variable Definition Base:

1. Standard Variable Definition Base (for which you can define one of three possible way of creation - see: 2.1.1. Database Creation Mode);

2. External Variable Definition Base;

3. Text Variable Definition Base.

The Format tab enables you to choose the following format of Standard Variable Definition Base:

1. Microsoft SQL Server 2000/2005/2008 database;

2. Mdb format file (Jet/MS Access).

***

For Microsoft SQL Server 2000/2005/2008 database you should know the folowing rules:

SQL server has to have switched on the both of authentication modes: SQL Server and Windows.

When using a local SQL server, the account under which the server works has to have the access to TEMP directory. It can be realised by configuration the SQL server process to the work under the accound named 'LocalSystem'.

When using a remote SQL server with a barrier switched on, the following rules connected with the SQL server computer should be done:

- the tcp/1433 port should be open for the main instance;

- the port used by a named instance should be open for this instance;

- the port udp/1434 should be open for all the SQL servers in the network.


2.1.3. Variable attributes

The variable attributes can be classified into three types:

1. mandatory attributes,

2. optional attributes,

3. user attributes.

The mandatory attributes are all attributes used by asix system for launching applications, e.g. Name, Address, Conversion function.

Full list of mandatory attributes is presented in Appendix 1.

The names and types of mandatory and optional attributes are determined and unchangeable.

The value of Name attribute must be unique for the entire variable definition database.

The set of optional attributes includes an ItemNotActive attribute. If the value of ItemNotActive attribute is 1, the variable is not visible in asix system for Asmen and Aspad modules.

All remaining attributes are user attributes. The users set their names by themselves (those can be only text attributes).

Furthermore, the database includes internal attributes created for the internal needs of the variable definitions base system, which are not made visible for the user. These attributes are: CreationDate and DeletionDate.


2.1.4. Names of attributes and tables

The attribute name can include all Latin characters, digits, spaces, etc. (It is possible to use national characters – but only for monolingual applications). The name is used both in the database and the user interface.

All system attribute names and variable definitions base tables names are saved internally in English. However, in the user interface, those names appear in the item definition window / item preview window / item description window in Polish or in English, depending on Architect language version.

During the data import, the names can be given both in Polish and English.

To display the local header names in any language declared by the designer, the users shall define those names by themselves – see: 2.2.2.4. Translating the variable attribute names.

Fig. Variables definition view window.

Fig. Selected variable description window – view of attributes from the declared attribute set.


2.2 Creating database in the Editor mode

To create the variable definitions database in the Editor mode, the following steps must be performed:

  1. Determine the variable definitions base type:

    2. Varbase > Type tab > base creation mode set to Editor mode

    3. Fig. Variable definitions base/Type tab – Editor mode.

  3. Select the variable definitions base format:

    4. Varbase > Format tab > database format set to: Microsoft SQL Serwer 2000/2005/2008 database or Mdb format file (Jet/Microsoft Access)

    Fig. Variable definitions base > ‘Format’ tab.

  4. Give the name of the created base.

    5. In case of MS SQL database, the following parameters must be determined:

    - Server name;

    - Base name;

    - Base directory;

    - Authorization mode:

    - Windows,

    - MSQL server –requires to set User name and Password.

  5. Select Create New [image];

  6. Open the database using the [image] Open command and enter the variable attribute data with use of variable definitions editor (see: 2.2.1.Editing the variable definitions database – Items definitions editor);

  7. Define the variable definitions base scheme with use of Schem editor (see: 2.2.2. Creating the variable definitions base scheme – Scheme editor).


2.2.1.1 Adding, deleting and modifying variables

Commands:

- add record of a new variable above the selected record (button [image]);

- add new variable record as the last in sequence (button [image]),

- delete the selected record (button [image]);

- edit the selected field (button [image] or pressing F2 key switches to field editing mode);

are available from the toolbar of Definitions of variables window in the variable definitions editor.

Fig. Command bar for editing the variable definitions base record.

Deleting the variable does not effect in physical deletion of the variable from the database, but only marks it as deleted – therefore, the developed change report will also include information on the deleted variables (see: 2.8 Exporting database to Excel).

Press F2 key for the Conversion function field in the variable definition record to activate button [image], which launches Conversion function editor, hinting the designer with syntax for each conversion function embedded into asix system.

The conversion function are used by ASMEN module for converting process variable values from raw format into real format. Each variable has a unique declared conversion function.

Fig. Conversion function editor window.

Similarly, press F2 key for Archiving parameters field to activate button [image], which launches Archiving parameter editor, hinting the designer with syntax of mandatory and optional archiving parameters.

Fig. Archiving parameters editor window.


2.2.1.2. Adding, deleting and edition by local menu

It is possible to use local menu in variable definition editor to add, delete and edit variables.

Fig. Local Menu in Variable Definition Editor.

The following command are available in local menu of variable definition editor:

- [image] Insert Variable Definition - it adds a new variable definition record;

- [image] Insert Copy of Variable Definition - it adds a new record of a copied variable definition;

- [image] Insert System Variable Definition - it adds a new record of a system variable;

- [image] Insert Variable Definition from OPC Channel;

- [image] Change Values - it allows the user to change all selected variable definition attribute values to a new value;

- [image] Replace Selected - it allows the user to change the one variable definition attribute value in the range of selected values of a given attribute;

- [image] Replace in Column - it allows the user to change the determined item definition attribute value appearing in the given column to a new one;

- [image] Clear Selected;

- [image] Immediate Edit - when active, it allows to immediate editoin of a current field after entering any character in it;

- [image] Copy Row to Clipboard;

- [image] Add Variable Names to Clipboard;

- [image] Show Attributes - All;

- [image] Show Attributes - Current;

- Show Attributes - System;

- [image] Show Attributes - <name of attribute set> - allows to display attributes of selected attribute set defined in scheme editor, on Attribute sets tab;

- [image] Help;


2.2.1.3 Adding and deleting variable attributes

It is impossible to delete mandatory attributes.

Add Attribute [image] and Delete Attribute [image] buttons are located in the Variable Definition Base menu.

Fig. ‘Add new attribute’ window.


2.2.1.4 Simultaneous editing attribute value for several variables

Change values [image] button in Items editor command category allows to change all selected values of the given attribute – see figure below:

Fig. Changing all selected values of the given attribute.

Replace selected [image] command in the Item editor command category allows to replace determined attribute value in the scope of selected fields to a new value – see figure below:

Fig. Changing the selected attribute value in scope of selected fields.

Replace in column [image] command in Items editor command category allows the user to change the attribute value in scope of the entire column, where at least one field is selected - see figure below.

Fig. Changing the determined attribute value in scope of the selected column.


2.2.1.5 Searching for attribute value and filtering records according to attribute

Searching and filtering records according to the required attribute value is performed with use of Filter builder launched by means of [image] button from command bar of the 'Variable Definitions' window in Variable Definition Editor.

Fig. Filter builder window for variable definitions base records.

The items definitions editor includes a mechanism for incremental searching of custom attribute value. If the first letters of the searched value are entered into any column cell, the mechanism will automatically move to the first record with the given attribute value. This mechanism works for all attribute columns.


2.2.1.6 Selecting visible variable attributes

The list of attributes of all variables displayed in the variable attribute editor window and variable preview window can be determined by the user by means of [image] button (first item of the variable list headers line). Press the button to open the list of all attributes of the given variable definitions database.

Fig. Variable attributes editor window.

It is also possible to view values (all / current or declared in the set) of the attributes of selected variable by right-clicking in the item definitions editor or items preview window on the selected variable record.

Fig. Local menu available for the variable records.

Right-click on any header line field to display local menu enabling to:

- sort according to increasing value of the given attribute – command [image],

- sort according to decreasing value of the given attribute – command [image],

- give up sorting,

- group according to the given field value – command [image],

- toggle on/off the grouping field, where any header can be dragged with mouse to group the records according to the given attribute value – command [image],

- toggle on/off the footer or group footer, which displays the record filtering conditions – commands [image] or [image],

- delete column,

- select column – by launching the column header selection window for all declared attributes, which can be dragged and dropped into the grouping field or into the line of displayed variable attributes - command [image];

- adjust the column width to the attribute value – command [image] (applicable to the selected column) or Adjust (all columns) command, which pertains to all columns at one time.

Fig. Local menu for attribute headers line.


2.2.1.7.

2.2.1.7. Attribute editors

There are several editors for variable editor editing. Editors are activated by the buttons [image], after clicking the cursor in the attribute value field.

For example, click in the Conversion function field in the variable definition record to activate button [image], which launches Conversion function editor, hinting the designer with syntax for each conversion function embedded into asix system.

Fig. Conversion function editor window.


2.2.2. Creating the variable definitions base scheme – Scheme editor

Variable definitions base scheme includes information related to grouping attributes, attribute set definitions, conversion function parameters, attribute headers, variable attribute languages, substitute attribute declarations (for multi-lingual applications) and AsTrend average names.

Editing of such information is possible with use of Scheme editor available in Variable Definition Base module after the database opening.

Fig. Scheme editor view.


2.2.2.1 Variable grouping

Grouping of variables is based on assigning variables to custom number of groups identified by the grouping attribute added to Scheme editor on Grouping attributes tab.

Fig. Grouping attributes definition window.

To declare grouping attribute in Grouping attributes tab, such an attribute must be first added to the variable definitions base in Variable definition editor (see: 2.2.1. Editing the variable definitions database – variable definition editor).

By default, one grouping attribute named Group1 is created in the variable definitions base. Designer may add more grouping attributes – their number is unlimited.

The names of grouping attributes are custom.

It is recommended that a database should have at least one grouping attribute.

The variable, where grouping attribute field value was skipped, will be visible in the system in group named (Empty name) visible among the user groups.

Fig. Variable group tree.

For example, the variable can have grouping attributes of: Department (values e.g. Blocks, Auxiliary), Unit (Block1, Block2, Demineralization, Dedusting, etc.), Device (Camac, S7_1, GeFanuc11, etc.) and Value Area (Analog, Twostatus, Averagea_5m, etc.).

When the items definition editor window/items preview window is opened, the tree displaying the base structure is automatically generated on the basis of grouping parameters.

The number of tree levels is identical as the number of grouping attributes. The first level displays all unique attribute values, which was declared as the first one in Scheme editor in Grouping attributes tab. Then, several nodes are created for each value of the first attribute. The number of nodes is identical to the number of values of the attribute declared as second. The procedure is repeated for the remaining levels.

To change the attribute value sequence, drag the grouping attribute header and drop it to other item in Groups block of the items definitions editor window or items preview window.

Fig. Changing the sequence of variable grouping according to attributes.

The sequence of displayed values for specific grouping attributes can be determined by clicking on the given group name header in Groups block of items editor window/items preview window (symbol [image] means sorting in decreasing order, [image] - in increasing order).


2.2.2.2 Attributes sets

Attributes sets are defined for purposes of asix system applications. They are used in VARIABLE_DESCRIPTION action and in item selection window (items definition editor window/items preview window) to limit the number of displayed attributes according to the designer's requirements.

Users may create their own attribute sets in Attributes sets tab in scheme editor.

At the moment, the set contains only the attribute name list. The width of attribute window must be always given during calling the VARIABLE_DESCRIPTION action.

Fig. Attribute set definition window.


2.2.2.3 Conversion function parameters

Conversion function parameters are defined for purposes of asix system applications.

ConversionFunction attribute existing in the variable definitions base contains by default the names of functions converting variables and all function parameters. However, there exists a mechanism, which allows to include in ConversionFunction attribute only the conversion function name, and to locate each of its parameters in separate attribute. ConversionFunction table defines the attribute names containing the function parameters independently for each function.

Fig. Conversion function parameters definition windows.


2.2.2.4 Translating the variable attribute names

The base allows to define local names of system attributes and user attributes to any language declared by the user.

Local attribute names appear as column titles in the variable description window.

Fig. Variable description window – English attribute names.

Each language (except for Polish and English) requires the users to declare the variables attributes names in Scheme editor of the variable definitions base:

Databases > Varbase > Scheme editor > Attribute Captions

Fig. Window for declaring the local variable attribute names.


2.2.2.5 Substitute attributes

Substitute attributes are used in multilingual applications. A substitute attribute – so-called alias – can be defined for each user attribute and for Description attribute.

The given attribute (basic attribute) can have only one alias for each language supported by the application. When the attribute alias is defined, for the selected language the alias will be used instead of the basic attribute.

Fig. Substitute attribute definition window.

While declaring the substitute attribute, remember to define the language both for basic attribute and the substitute attribute. This is performed in Attributes languages tabs in Scheme editor. See: 2.2.2.6 .
Declaring the attribute languages.


2.2.2.6 Declaring the attribute languages

The attribute language table is located in:

Databases > Varbases > Scheme editor > Attributes languages tab

Fig. Attribute language definition window.

Language table allows to define, in which language the values for the given attribute were defined. The information is usually required only for multilingual applications to declare the language for text attributes. The language should be declared both for the basic attribute and the substitute attribute.


2.2.2.7 Variable averages for AsTrend usage

Averages are defined for the needs of AsTrend program:

Scheme editor > AsTrend averages tab

Average is a process variable with current value equal to the average of temporary values of another variable (called base variable) from a period of time.

When aggregate mechanism is not used in asix system - AsTrend enables displaying averaged values, when such values are defined as additional variables containing averaged values of raw variables (base variables). During the definition of averages, the appropriate naming convention must be observed. It consists in creating the average name from the name of the base variable by adding to the base variable name of a suffix describing the duration of average calculation. If the convention is observers and the averages are properly configured, AsTrend program will enable easy switching between the graphs of temporary variable values and the graphs of their average values.

Fig. AsTrend variable averages definition window.


2.2.3. Importing modifications from Excel worksheet

The changes in variable definition consisting in adding, deleting or modification of record(s) can be comfortably imported to the variable definitions base from Excel worksheet. For user's comfort, the Varbase module > Modification import template tab includes a function allowing to create a worksheet (with default name of VarDefModificationImportTemplate.xls) containing all necessary columns and examples of data necessary for modification import.

Modification import template tab is available for Variable definition base type: Variable definitions base of Asix 5-6 system/Editor mode. List of columns in the created import template is identical to the current variable definition base (declared in Format tab).

Fig. VarDef modification import template.

How to import the variable definitions changes to the existing MS SQL or Jet variable definitions database using the Excel worksheet as a source?:

1. First of all, generate the modification import template:

(after ensuring that the current base creation mode is Editor mode, and the Varbase > Format tab includes the correct declared base)

The modification import template generation function is located in:

Variable Definition Base > Modification import template tab > Create... button

2. In the generated worksheet open the Variable modification tab and enter the appropriate records, bearing in mind that:

- if new variable record is added, enter plus (+) character in the OperationKind column;

- if an existing database variable record is deleted, enter minus (-) character in the OperationKind column;

- if an existing database variable record is modified, enter asterisk (*) character in the OperationKind column

3. Open the existing variable definitions base (button Open [image]).

4. Select Import modifications [image] command and indicate the appropriate *.XLS file with modified variable records.

5. In ‘Select worksheet’ window select the Variable modifications option and confirm the selection with OK button.


2.3. Creating database in the Generator mode

When creating variable definition base in Generator mode, the variable defitions are acquired from external sources (e.g. from XLS spreadsheets). The base is generated by use of Architect. After each modification of data sources it is needed to generate base manually once again (or update) and re-run the asix system application. The special case is creatig a cumulative base from several existing variable bases.

To create the variable definitions base in Generator mode, perform the following steps:

1. Define the variable definitions base type as Generator mode

Fig. Variable definitions base > Type tab – Generator mode.

2. Determine the format and the variable definitions base name to be generated:

Varbase > Format tab > database format set to Microsoft SQL Serwer 2000/2005/2008 database or Mdb format file (Jet/Microsoft Access)

In case of MS SQL database, the following parameters must be determined:

- Server name;

- Database name;

- Database directory;

- Authorization mode:

- Windows,

- MSQL server –requires to set User name and Password.

3. Define the data sources:

Variable Definition Base > Data sources tab > data source files (Excel files, OLE DB object, ZEZ/DB files for older asix versions or text files of older asix versions)

Fig. Variable Definition Base > Data sources tab.

4. Select Generate [image] command.

5. If necessary, open the database to verify the correct generation with use of Variable definition editor;


2.3.1. Generating the variable definitions base from several sources

2.3.1. Generating the variable definitions base from several data sources

Architect has been equipped with tabs Options that enables setting the parameters referring to generating the variable definition base from several data sources (even if variable definitions duplicate).

Parameters:

- Add attribute 'Data source' - attribute will store the name of the worksheet that contains variable definition;

- Add attribute 'Data table' - attribute will store the name of the tabsheet that cotains variable definition;

- Enable checking differences during generation of variable definition base - when the option is used, during base generation the new generated base is compared with the already existing one; in case of differences between them, question about continuation appears;

- Allow dividing variable definition between sources - when the optio is used, attributes of the variable definition may be given in different sources, but every attribute can only be given in one source;

- Enable creation of backup during generation of variable definition base;

- Multiple variable definition - active variable preference -in case of recurring variable definition, use first definition of an active variable;

- Multiple variable definition - physical channel preference - this option is only for data sources in the form of INI or XML files;

- variable definitions may not recur;

- variable definitions may conditionally recur - in case of recurring variable definition, only one (first) definition of a variable in a physical channel will be accepted and the definitions in NETWORK channels will be ignored; for the rest of definitions from physical channels the warning information will appear in the pannel log of variable definition base generator;

- variable definition may recur - in case of recurring variable definition, the first definition of a variable in a physical channel will be accepted, for the second definition from a physical channel the warning information will appear in the pannel log of variable definition base generator and the rest of definitions from physical channels will be ignored.

Fig. Variable definitions base > 'Option' tab.


2.3.2. Generating the variable definitions base from ZEZ/DB files

There is the mechanism of importing the variable definitions from Paradox format bases into the standard format bases of asix 5-6 system.

Fig. Variable definition base > 'Data sources' tab > 'Asix - zez/db files...' command.


2.3.3. Generating the variable definitions base from Excel worksheet

If the variable definitions base is generated on the basis of Excel worksheet, prepare those worksheets in a manner described in detail in chapter Preparing the external data source – Excel worksheet.


2.3.3.1. Generating the variable definition base on the basis of list of used variables

It is possible to generate the variable definition base only with the definitions of the variables used on synoptics masks of asix system application.

To generate the variable definition base on the basis of list of used variables:

1. After loading XML file of designed asix application, use the command Generate List of Used Variables... form the Application menu.

2. Save the generated XLS file.

3. Set the variable definition base type:

Architect > Databases > Variable definition base > Type tab > Standard variable definition base type with Generator mode

4. Declare spreadsheets with variable definitions (also XLS file with the list of used variables).

5. Click the Generate command.

Fig. Variable definition base > 'Data sources' tab > 'Generate' command.


2.3.4. Generating the variable definitions base on the basis of OLE DB base

It is possible to generate the variable definitions base from OLE DB base, after the appropriate configuration of data connection properties (provider, connection properties and advanced options).

The structure of source OLE DB base should be prepared in a manner analogous to Excel worksheets used as the source of variable definitions generation. Therefore, the following data types shall be defined:

- variable attributes,

- grouping,

- attributes sets,

- conversion functions,

- captions,

- attribute languages,

- substitute name,
- AsTrend averages.

The above data should be prepared according to the indications contained in chapter Preparing the external data source – Excel worksheet.


2.3.5. Generating the variable definition base on the basis of XML files

When generating the cumulative variable definition base from several bases of different asix system applications (different XML files) - it is recommended to declare the data sources with the use of Asix - xml files... command.

Fig. Variable definition base > 'Data source' tab > 'Asix - xml files...' command.


2.3.6. Importing variable definitions from OPC server

The variable definitions from OPC server are imported with the use of Import From OPC Server... command (from the Variable Definition Base menu). It runs the creator that enables to define the connection with OPC server and the way of data import. The creator adds the spreadsheet with imported data to data sources from which the variable definition base is generated.

When you have the variable definition base generated, it is possible to import modifications of variable definitions (form the spreadsheet with variable definitions imported form OPC server) with use of the Import Modifications... from the Variable Definition Base menu. ( [image] Conditions: the variable definition base has been generated before and exists and the Standard variable definition base with Editor mode is set as the valid type of variable definition base).


2.3.7. Cumulative variable definition base

When generating the cumulative variable definition base from several bases of different asix system applications (different XML files) - it is recommended to declare the data sources with the use of Asix - xml files... command.

Conditions:

The same data can be stored in source bases in attributes with different names. In such a case you have to use the transformation of names and values of attributes. It applies also to grouping attributes.


2.3.8. Data source update

When you have the variable definition base generated, it is possible to update the data sources without generating this base once again. Use the Update command from: Architect > Databases > Variable definition base > Data sources tab).

The update command is banned when source files contain transformation tables or tables with used variables.


2.3.9. Transformation of names and values of attributes

When generating the variable definition base on the basis of definitions located in XLS files, the mechanism for transformation of names and values of variable attributes is available. This mechanism requires preparing the special spreadsheet (table) with input/output attribute name or input/output attribute values. The structure of this spreadsheet is as follows:

- for attribute name transformation:

- spreadsheet name: AttrNameTrensformations;

- spreadsheet columns: DataSourceName, InputAttribute, OutputAttribute

When InputAttribute field is empty, the new column is added to data source.

When OutputAttribute field is empty, the new column is deleted from data source.

- for attribute value transformation:

- spreadsheet name: AttrValueTransformations;

- spreadsheet columns: DataSourceName, Attribute, AttributeInputValue, AttributeOutputValue

When AttributeInputValue field is empty, the new attribute value is added to data source.

When AttributeOutputValue field is empty, the new attribute value is deleted from data source.

You can use the spreadsheets template to generate the proper spreadsheet for transformation of names and values of variable attributes (Architect > Databases > Variable definition base > Template tab).


2.3.10. Overwriting attributes by selected data source table

Overwtriting attribute values by selected table from the Data source tab needs the additional column to be added to this table (spreadsheet). The name of this column is ForceUpdateAttributes (the column can be empty - values from it are not read). Summarizing, the table with target atrribute values for specific variables has to include the additional column ForceUpdateAttributes (obligatory is also column with the names of variables for which the attributes will be overwritten).

Fig. Overwriting attributes - the table with target atrribute values.


2.4. Variable view

Except the variable definition editor the variable definitions may be also viewed by the 'Variable view' window activated by the [image] button. The window allows to show current values of variables, and you can modify this values by clicking the right mouse button on the value and selecting the Modify Current Values from the local menu.

The 'Variable view' window allows you to find, filter or group variables.

Fig. 'Variable view' window.


2.5. Use of Excel worksheet as the source of variable attribute data without generating the

The user working with the latest version of asix suite can configure the application operation in such manner, so as it utilizes the variable definitions acquired directly from Excel worksheets[*]. Those worksheets should be prepared in a manner described in detail in chapter 2.6. Preparing the external data source – Excel worksheet.

How to declare the spreadsheet as the source of variable definitions?:

1. Define the variable definitions base type as Data source type

3. Load the data sources:

Variable definition base > Data sources tab > select *.XLS file by pressing Excel button.

In ‘Select tables’ window select all items and confirm with OK button.

Repeat this step to declare all necessary source files.

4. To preview the data in ‘Variable preview’ window, select Show [image] button.

This type of variable definitions database can be applied only, if Asix system is running on the machine and it is ALWAYS launched as the first one. This excludes situation, when a Web server AsPortal or AsWWW is running on the machine or AsixConnect module is used for generation of reports.

[*] The variable definition base in temporarily generated once at asix system application start-up; when you change definitions, the application restart is needed.


2.6. Preparing the external data source – Excel worksheet

If the data source necessary for generation of variable definitions base (and in the Data source base creation mode, when the variable definitions are acquired directly from Excel worksheet) is Excel worksheet, the data must be contained in sheets in format XLS or XLSX. The sheets can be created in Microsoft Excel (version 97, 2000, XP, 2003 or 2007) or Open Office (version 1.1.2 or newer).

Architect has a simple, but fully functional spreadsheet allowing to edit the XLS format sheets – useful if Microsoft Excel suite is not installed on the machine.

Several types of data, located in separate sheets in form of tables[*] , should be distinguished. Those types will be discussed in the following subchapters:

  • variable attributes

  • grouping,

  • attributes sets,

  • conversion functions,

  • captions,

  • attribute languages,

  • substitute name,

  • AsTrend averages,

  • transformation parameters of attribute names and attribute values.

The tabs the names of which start at the '#' character are only informative tabs; they are not visible by Architect during variable definition base generation.

[*] Tables means the same as spreadsheet.


2.6.1. Variable attributes

Variable attributes can be locate in one or several worksheets of any name, in one of several tabs. All attributes of single variable must be located in single worksheet.

The given worksheet does not have to include all attributes defined in the base. All numerical attributes, which are undefined for the variable, will have NULL value assigned. Empty text attributes will have a value of text of zero length.

Fig. Definitions of variables in Excel sheet in division to several tabs.

All system attribute names are internally declared in English.

While importing data, the system attribute names may be given both in Polish and English - according to the agreed attribute name template - see: Appendix 1.


2.6.2. Grouping

Grouping attributes must be located in table of determined name (in Polish: AtrybutyGrupujące, in English: GroupingAttributes).

The table consists of one column (in Polish: Nazwa, in English: Name). Each line contains a name of one grouping attribute. For example.

The names of grouping attributes are custom.

Fig. Excel worksheet – grouping attributes.


2.6.3. Attribute sets

Table of attribute sets (of defined name – in Polish: ZestawyAtrybutów, in English: AttributeSets) contains two columns. One column (of defined name – in Polish: Nazwa, in English: Name) the name of the set is included. In the second column (in Polish: Atrybut, in English: Attribute) – the attribute name is shown.

In case of system attributes, use the attribute names defined for Polish or English (internal names or names declared as those designed to appear in column headers of item definition editor window, item definitions preview window or attribute selection window – see: 2.6.5. Captions).

Fig. Excel worksheet – attribute sets.


2.6.4. Conversion function parameters

Table of function parameters (of defined name – in Polish: FunkcjePrzeliczające, in English: ConversionFunctions) contains two columns. The first column (in Polish: Nazwa, in English: Name) the contains the function name, the second column (in Polish: Atrybut, in English: Attribute) – contains the attribute name.

In case of system attributes, use the attribute names defined for Polish or English (internal names or names declared as those designed to appear in column headers of item definition editor window, item definitions preview window or attribute selection window – see: 2.6.5. Captions).

Fig. Excel worksheet – conversion function parameters.


2.6.5. Captions

Caption table (defined Polish name is: NagłówkiAtrybutów, in English: AttributeCaptions) allows to define the column headers in item selection/attribute editing windows. All variable header texts must be unique. Name of any attribute can not be the header name of any other attribute.

In the first caption table column (in Polish: Nazwa, in English: Name), place the attribute names – for system attributes, use the attribute system names in Polish or English; for user attributes, give them in such form, as they were defined in the worksheets with variable definitions.

In the second column (in Polish: Język, in English: Language) the language codes should be placed – according to ISO marking of supported languages. The list of all language codes supported by Architect is contained in Appendix 3.

The third column (in Polish: Nagłówek, in English: Caption) is designed for defining the displayed header names.

Fig. Excel worksheet – captions.


2.6.6. Attribute languages

Table of defined name (in Polish: JęzykiAtrybutów, in English: AttributeLanguages) allowing to determine, in which language the given attribute values were defined. The information is usually necessary only for multilingual applications to determine the language of alias/attribute and text attributes for proper editing and displaying.

The first column (in Polish: Nazwa, in English: Name) should contain the names of attributes (original names or names declared as those designed to appear in column headers of item definition editor window, variable definition preview window or attribute selection window – see: 2.6.5. Captions).

The second column (in Polish: Język, in English: Language) contains the language codes – according to ISO marking of the supported languages.

In the following screen, English is declared for Opis_EN attribute, which contains English variable description. When Opis_EN attribute is declared as substitute name for Opis zmiennej attribute (see: 2.6.7. Substitute attributes), the variable descriptions will appear, according to the attached application language, either in Polish or in English.

Fig. Excel worksheet – attribute languages.


2.6.7. Substitute attributes

Defining aliases is used for multilingual applications, where it is often necessary that in one language some attribute, referred to as the basic one, should be replaced with substitute attribute (alias). To achieve this, define both attributes in the database and declare in the alias table, which is the basic attribute and which is the substitute one.

The language for the basic and substitute attribute must be defined in the language table - see: 2.6.6. Attribute languages.

Attribute aliases must be declared in the table of defined name – in Polish: AtrybutyZastępcze, in English: SubstituteAttributes.

The first column (in Polish: Nazwa, in English: Name) should contain the basic attributes, and the second column (in Polish: NazwaZastępcza, in English: SubstituteName) – the respective aliases.

Fig. Excel sheet – substitute attributes.


2.6.8. AsTrend averages naming

Declaring of AsTrend averages naming consists in defining the convention of averages naming in asix system application. This is performed by means of table of defined name (in Polish: ŚrednieAsTrend,in English: AsTrendAverages). The table consists of two columns.

The first column (in Polish: Nazwa, in English: Name) includes the aggregate name, and the second column (in Polish: Przyrostek, in English: Suffix) should contain text, which - when added to the variable name - will produce the name of variable being the average of another variable.

Fig. Excel worksheet – naming of aggregates.


2.6.9. Transformation parameters of attribute names and attribute values

When generating the variable definition base on the basis of definitions located in XLS files, the mechanism for transformation of names and values of variable attributes is available. This mechanism requires preparing the special spreadsheet (table) with input/output attribute name or input/output attribute values. The structure of this spreadsheet is as follows:

- for attribute name transformation:

- spreadsheet name: AttrNameTrensformations;

- spreadsheet columns: DataSourceName, InputAttribute, OutputAttribute

When InputAttribute field is empty, the new column is added to data source.

When OutputAttribute field is empty, the new column is deleted from data source.

- for attribute value transformation:

- spreadsheet name: AttrValueTransformations;

- spreadsheet columns: DataSourceName, Attribute, AttributeInputValue, AttributeOutputValue

When AttributeInputValue field is empty, the new attribute value is added to data source.

When AttributeOutputValue field is empty, the new attribute value is deleted from data source.

You can use the spreadsheets template to generate the proper spreadsheet for transformation of names and values of variable attributes (Architect > Databases > Variable definition base > Template tab).

Fig. Excel sheet – attribute name transformation.


2.6.10. Used variables

The spreadsheet with the list of used variables allows to limit the number of variables the definitions of which are acquired from data sources during variable definition base generation.

The name of the spreadsheet with the list of used variables is UsedItems. It includes only one column - Name with variable names.

Fig. Excel sheet – used variables.


2.6.11. Template of variable definitions

Template of variable definitions in XLS file can be generated in Architect:

Architect > Databases > Variable definition base > Template tab (for Standard variable definition base with Generator mode)


2.6.12. Templates for attribute variables

It is possible to prepare the template for transformation of attribute values. For example if you have the attribute the variable of which often changes - instead of manually search and change it in the variable definition base - you can prepare the spreadsheet for variable transformation of this attribute.

It demands from you to prepare the AttrValueTransformations spreadsheet with the following columns:

1. DataSourceName

2. Attribute

3. AttributeInputValue - it contains the 'symbolic' value that will be overwritten in variable definition base on the basis of the value defined in the AttributeOutputValue column before each variable definition base generation

4. AttributeOutputValue - it contains the target value defined by you any time you need change the value of the attribute in variable definition base.

Such prepared AttrValueTransformations spreadsheet should be added to Data sources tab, on the basis of which the variable definition base is generated. So, templates for attribute variables can be used for variable definition bases of the following type: Standard variable definition base with Generator mode.


2.7. Storing description of variable states in VarDef

State of variables may be indicated on charts within labels. If a chart presents many variables (multi-curve chart), the labels may be used provided that all the variables have identical states.

All possible states of a to-be-monitored variable must first be declared in a database of variable definitions, one variable (database row) per state. For each such variable the database must contain some text to be displayed as a state-describing label (the Description attribute), as well as the following attributes:

State set – name of that collection of states, to which the given database row belongs

State value – decimally expressed bit mask for the state described in the given database row

Item not active – flag indicating that the database row is a declaration of a state-describing label.

All variables with declarations of texts to be displayed as labels describing different states of a monitored variable must be associated with it by means of a common name of collection of its states (specified in the State set column of all those variables). That same name must be entered as the State names attribute of the monitored variable.

Descriptions of states of the monitored variable are displayed both in labels and in boxes popped up in reaction to clicking points of curve of the variable.

Fig. Variable states defined in variable definition database.

While variables are added to the AsTrend trend from VarDef as well as from external source, it is checked whether variable has defined states – if it does, stairs interpolation is turned on automatically for the given variable.


2.8. Converting the variable definitions base from text files to Jet or SQL format

2.8. Converting variable definitions base from Paradox format to Jet or MS SQL format

Architect enables conversion of all data from BDE variable definitions base created in older version of asix system (base in Paradox format) to Jet or SQL database.

In case of older versions of asix system, the variable definitions base in Paradox format consists of:

- variable attributes base – physical Paradox database files;

- variable definitions base scheme – *.TXT file describing all attributes, which can be assigned to a variable;

- variable set – text file *.ZEZ containing the definition of arrangement of variable groups (one variable definitions base can include a custom number of variable sets).

Basically, in case of such databases it is recommended to prepare the variable definitions in Excel worksheet, which would serve as basis for generation of the variable definitions database withuse of Variable Base Manager program. In case of minor applications, the variable definitions bases were created and edited directly by means of Variable Base Editor.

How to convert the Paradox variable definitions base created in older asix versions to Jet or MS SQL database?:

First case, when the variable definitions base was created directly with use of Variable Base Editor (without *.XLS file)

1. Define the variable definitions base type as Generator mode

2. Determine the format and name of variable definitions base, which will be generated:

Varbase > Format tab > database format set to: Microsoft SQL Server 2000/2005/2008 database or Mdb format file (Jet/Microsoft Access)

In case of MS SQL database, the following parameters must be determined:

- Server name;

- Database name;

- Database directory;

- Authorization mode:

- Windows,

- MSQL server –requires to set User name and Password.

3. Define the data source:

Varbase > Data sources tab > indicate ZEZ/DB files (button [image])

4. Select all items in ‘Select table’ window and confirm it with OK button.

Fig. Table selection window for database conversion to Jet or MS SQL format.

5. Select Generate [image] command.

6. Open the database and, if necessary, change the variable attributes with use of Item definition editor or modify the variables definitions base scheme with use of Scheme editor.

It is possible to edit the database after switching to Editor mode:

Variable definition base > Type tab > Editor mode

Second case, when the variable definitions base was generated with use of Variable Base Manager basing on the variable definitions prepared in Excel spreadsheet

Assumption: after the database conversion, it must be possible to update the variable definitions and database schemes from Excel worksheet compliant with template valid for asix 5-6.

1. Define the variable definitions base type as Generator mode

2. Determine the format and name of variable definitions base, which will be generated:

Variable definition mode > Format tab > database format set to: Microsoft SQL Server 2000/2005/2008 database or Mdb format file (Jet/Microsoft Access)

In case of MS SQL database, the following parameters must be determined:

- Server name;

- Database name;

- Database directory;

- Authorization mode:

- Windows,

- MSQL server –requires to set User name and Password.

3. Define the data source:

Variable definition base > Data sources tab > indicate ZEZ/DB files (button [image])

4. Select all items in ‘Select table’ window and confirm it with OK button.

5. Select Generate [image] command, open the database and check, whether the database was correctly generated. If necessary, change the variable attributes with use of Item definition editor or modify the variables definitions base scheme with use of Scheme editor.

It is possible to edit the database after switching to Editor mode:

Variable definition base > Type tab > Editor mode (during mode switching, the base must be closed)

7. Close the base and switch to editor mode:

Variable definition base > Type tab > Editor mode

8. Reopen the generated variable definitions base and export it to Excel worksheet with use of Export [image] command. In ‘Export of base to Excel sheet’ window select all available data types and change the output file name to Scheme.xls (custom name); confirm the changes with OK button.

Fig. ‘Export of base to Excel sheet' window.

9. Close the base.

10. Open Scheme.xls sheet;

The GroupingAttributes sheet include the grouping attributes, which should be ‘manually’ added to the definition of variables stored in Excel worksheet used as source for generation and updating of the Paradox variable definition base.

In older asix version, the variable definitions base allowed to declare only one grouping attribute of defined name Group for each variable. However, it was possible to arrange the groups declared in Group attribute into a tree-type hierarchical structure displayed in the variable selection window – which allowed to ‘see’ the given variable as an element belonging to the defined group or subgroup.

Figure Window of variable list in asix4 package.

The definition of variable group arrangement was contained in *.ZEZ file.

At the moment, during conversion of Paradox variable definitions base to Jet or MS SQL format, the number of generated grouping attributes depends on the hierarchical structure defined in *.ZEZ file.

Fig. Variable definition editor – variable grouping window.

11. Open the worksheet, which served as the source file for generating/updating the Paradox variables definitions base and add the columns of grouping attributes generated in Scheme.xls worksheet to all sheets with variable definitions.

For each variable definition, add the grouping attribute values taken from Variables tab of Scheme.xls worksheet. Remember to delete the old Group parameter.

Such modified variable definitions worksheets can be the source for generating/updating Jet or MS SQL variable definitions database.

13. Delete Variables tab from Scheme.xls worksheet.

The remaining tabs contain the variable attribute names translated into national language, substitute attribute declarations (for multilingual applications) AsTrend averages names, attribute sets definitions, grouping attributes – i.e. all the data which were earlier stored in Scheme.txt text file.

From now on, Scheme.xls file can be the source for updating the data available in Architect from the level of Scheme editor of Varbase module.

14. Switch to generator mode:

Variable definition base > Type tab > Generator mode

15. In Data sources tab select and delete all data sources.

16. Press Excel button and indicate the *.xls file containing the variables definition.

17. In ‘Select table’ window select all variable definitions sheets and confirm with OK button.

18. In Data sources tab press Excel button again and indicate *.xls file with variable definitions base scheme data, i.e. Scheme.xls file.

19. In ‘Select table’ window select all sheets and confirm with OK button.

20. Select Generate [image] command, then open the database and check whether it was correctly generated. All data for database updating can be entered to *.xls files, which were created in previous steps – each change of those files requires a re-generation of the database.


2.9. Converting the variable definitions base from text files to Jet or SQL format

In order to maintain compatibility with older versions of asix system, Architect also allows to import variable definitions data from text files.

How to convert the variable definitions base from text files to Jet or MS SQL database?:

1. Define the variable definitions base type as Generator mode

2. Determine the format and name of variable definitions base, which will be generated:

Variable definition base > Format tab > database format set to: Microsoft SQL Serwer 2000/2005/2008 database or Mdb format file (Jet/Microsoft Access)

In case of MS SQL database, the following parameters must be determined:

- Server name;

- Database name;

- Database directory;

- Authorization mode:

- Windows,

- MSQL server –requires to set User name and Password.

3. Define the data source:

Variable definition base > Data sources tab > indicate text files with variable definitions (button [image])

4. Select all items in ‘Select table’ window and confirm it with OK button.

5. Select Generate [image] command.

6. Open the database and, if necessary, change the variable attributes with use of Item definition editor or modify the variables definitions base scheme with use of Scheme editor.

It is possible to edit the database after switching to Editor mode:

Variable definition base > Type tab > Editor mode


2.10. Exporting database to Excel

Architect allows to save all data or selected data from the variable definitions base in Excel sheet. The data are saved in one or multiple sheets. The maximum number of lines in one sheet can be limited, so as to enable the export of large variable definitions databases. Additionally, the worksheet contains the tab with list of variable definition modifications made since the database creation. This list includes all created, deleted and modified variables.

How to export the variable definitions to Excel sheet?:

1. Open MSQL (or Jet) variable definitions base, giving its location in:

Variable definition base > Format tab

and click on Open [image] command from the Items Definitions Editor command category.

2. Select Export [image] command.

3. In ‘Export of base to Excel sheet’ window select the data to be exported and the path and name of the output XLS file.

Fig. 'Export of base to Excel sheet' window.


2.11. Access from other programs

The variable definitions database is a base managed by Microsoft SQL Server or Jet base. It can be accessed from any program supported by those systems.

The access to data stored in variable definitions database VarDef is intermediated by AsixConnect module with use of DDE, Automation or .NET mechanism.


2.12. On-line variable definition base update

When you can not stop the runnig asix system application, but you have to change some variable definitions - use the possibilty of on-line update. Such operation is possible for the Standard variable definition base type with the editor creation mode. Use the variable definition base editor to make modifications in the base, save all the changes and run the [image] Online Update command from the Variable Definitions Base menu - modifications will be loaded by asix at once. Updating needs to be confirmed by the following dialog window:

Fig. On-line variable definition base update - confirmation window.


3.1. Introduction

Ready asix system application consist of a set of interconnected technological masks containing static and dynamic objects. They constitute a coherent entity by means of the set of actions, which control their displaying. The basis for operation of the entire mask system is XML configuration file created with use of Architect program. The masks system is designed by means of AS program in Constructor mode. In turn, the ready application is executed by AS program operating in the application runtime mode.

Fig. View of technological masks of an application in demo asix system - Plant.

The configuration of asix application with use of Architect consists of:

- configuration of variable definitions database (discussed in detail in chapter 2. Handling of the asix application variable definitions databases);

- configuration of application operation.

The simplified application design and execution process in asix system is presented in the following graph.

Fig. Scheme of application design and execution process in asix system.

During application parameterization, Architect performs an ongoing control of mutual coherence od declared option, which results in significant increase of work efficiency.

The application operation configuration is effected with use of parameter modules displayed with button [image] (the button is located in the left block of Architect window).

Fig. Application parameter configuration module.

Architect module enables a fully visual and interactive configuration of the entire operation of asix system. This consists in defining the parameter necessary for operation of various subsystems of AS program responsible for execution of the designed application.

The above mentioned parameters were divided in Architect into the following groups (parameter tree is displayed with Application button, located in the left block of Architect window):

The parameters configuring the application operation are divided into the following modules:

- Start parameters,

- Masks,

- Current data,

- Current data - network server,

- Historical data,

- Alarms system,

- Network module,

- Security,

- Printout,

- Reports,

- Actions and Schedules,

- Miscellaneous.

The application operation parameter settings are saved in XML configuration file, which also stores data related to variable definitions database and the application alarms definitions base.

The details of asix package functionality (including the description of subsequent stages of application designing with use of asix5-6 package) are contained in “Asix – user manual” (asix.hlp or asix.pdf).

The design process for the application added to asix5-6 package as demo application – 'Factory' - is discussed in detail in "First application – step by step” manual.

Some practical examples discussed in Architect manual refer to the above mentioned demo application.


3.1.1. Recommendations for handling of default options in configuration modules

Each option parameterizing the application operation has an external checkbox, located on the left side of the options, which – contrary to the parameter value declaration fields – is used only to enable or disable the set parameter values.

Parameters with declared default value, e.g. time, filename or in case of logical values, the checked checkbox, should be activated by an external checkbox.

Fig. View of enabled default option.

The following rules should be observed during application parameterization:

- the disabled options are not editable; to change the parameter value, the external checkbox must be checked;

- when the option for Field is disabled, the default parameter value is automatically restored;

- when the option for Computer is disabled, the parameter automatically takes the value declared for Field or (if there is no such declaration on Field), the default parameter value is restored.


3.1.2 Options manager

The 'Options manager' window is opened by the Manage options... command from the Fields and Computers menu. It allows to manage all the parameters set in XML configuration file.

For example, you can copy any parameter between computers and fields.

Fig. 'Options manager' window.


3.1.3. Importing selected parameters form the external XML file

You can import parameter settings from the external XML files using the Import options... command form the Fields and Computers menu.

You have to click the Import options... command, select the XML file the parameters of which you want to copy, select the parameter settings you want to copy (use Shift to select more than one setting/value), press the Import button and select the target computers/fields of XML file you current design (the target XML file), then accept selected items by OK - the selected parameter settings will be imported to this computers/fields.

Fig. 'Options import' window.


3.2. Creating the new application configuration file

Creating the XML configuration file for the application is the first step preceding the stage of variable definitions base configuration and application configuration.

The parameter configuring the application operation and declaring the database, which shall be the basis for application operation are saved to one shared XML file (Extensible Markup Language), placed in the root directory of the designed application.

Creating the configuration file:

Version 1 – without wizard

  1. In the main menu select File and select command New application [image].

  2. In the left block of Architect window, click on Fields and computers button.

  3. Make the following changes in the list of computers:

    4. - add as many computers and fields, as required by the application project – bearing in mind that the common field includes parameters, which in the multi-station configuration of asix system are shared by all stations with the application running; at the same time, the configuration on Computer level allows to customize settings depending on the machine type (other settings for operator station, other for dedicated data server in corporate network). Settings on Computer level take precedence before the Field level settings.

    - change the computer and field names to ones appropriate for the environment, where the application shall operate

  4. Save the file in the designed application directory.

Version 2 – with use of wizard

1. In the main menu select File and select command New Application - Wizard [image].

2. In the new application wizard window, open Application tab and determine the following data:

- Application file name,

- Application directory;

and the following directories (where paths are relative in respect to the application directory):

- Masks directory,

- Data archive directory,

- Alarms archive directory,

- Reports directory,

- Trends directory,

- Temporary directory;

and also:

- Message file name – the file will be created in the temporary directory.

All introduced changes confirm with OK.

Fig. Configuration file/new application directory structure wizard – Application tab.

3. Define the following data in the new application wizard window in Computers and fields tab:

- in the Parameterization of multiple stations block, give the types of machines, for which the parameter sets should be created:

- Operator station,

- KE station,

- Terminal,

- Dedicated data server in the company network.

It is not required to define here all types of machines, for which the wizard will automatically create the application parameter sets – the designer can at all times modify the number of computers/fields displayed in Fields and computers block.

Furthermore, the selection of the specific machine type does not influence the number and type of parameters, which will be contained in the set. All parameters available for declaration are provided for each Field and for each Computer.

- in the Basic modules block, define the following elements:

- Name of system variable channel,

- Name of data archive in the network,

- Name of alarm server in the network,

- Add basic set of bitmap fonts,

- add set of classic Windows fonts (Arial, Sans Serif, Times New Roman)

Confirm the changes with OK button.

Fig. Configuration file/new application directory structure wizard – Computers and fields tab.

4. In the new application wizard window in VarDef – type tab, define the variable definitions database type.

If Generator mode option is declared, it will be possible to declare source files with variable definitions and generate the database only after the creation of application configuration file.

Confirm the changes with OK button.

Fig. Configuration file/new application directory structure wizard – VarDef – type tab.

If Generator mode option and database format Microsoft SQL Server 2000/2005/2008 database option are selected – prior to generation of application file with use of wizard, together with generation of SQL variable definitions database, the SQL server should be deployed on the computer. Asix system package contains MSDE 2000 (Microsoft SQL Server 2000 Desktop Engine), which is a simplified version of SQL Server 2000. MSDE version supplied by Askom is designated only for use with Askom products. The MSDE 2000 installation method is discussed in study: “MSDE 2000 – installation manual. Technical support”, available for downloading from ASKOM website (www.asix.com.pl - http://www.asix.com.pl/en/support/tips/art2.html ).

5. In the new application wizard window in VarDef – format and location tab, define the variable definitions database format and name.

In case of MS SQL database, the following parameters must be determined:

- Server name;

- Database name;

- Database directory;

- Authorization mode:

- Windows,

- MSQL server –requires to set User name and Password.

Fig. Configuration file/new application directory structure wizard – VarDef – format and location tab.


3.2.1. Creating the new application - Wizard - import from OPC

3.2.1. Creating the new application - Wizard - base import from OPC

Creating the new application in the mode of importing variable definition base from OPC server is realized by the Wizard of a new application that imports the base form OPC server into the standard format of asix 5-6.

The mentioned wizard is run by the New Application - OPC Wizard... command from the File menu.

The wizard is similar to wizard described in 3.2. Creating the new application configuration file (see that chapter). Only the tabs referring to the variable definition base are different.

The OPC data spource tab allows you to set: Identifier of OPC server in Windows system, Remote server name in Windows and Name of OPC channel.

Fig. Creator of a new application of the asix system - base import from OPC - 'OPC data source' tab.

The VarDef - OPC tab allows you to set the following parameters:

- Determining names of variables imported from OPC server;

- Element count - for text and array variable the number of elements should be determined;

- Default archiving parameters;

- Output file - the spreadsheet with variable definitions will be generated on the basis of the definitions from the OPC server base; the file will be added to Data sources tab of Variable definition base (after using the wizard you will have the type of variable definition base set on the Standard variable definition base with Generator mode);

- Float values - only archive of type B can store float values with double precission; all other archives store float values with single precision.


3.3. Importing *.INI configuration files

In case of applications created in older versions of asix package, it is possible to convert the application *.INI files to *.XML configuration file format.

This is performed by means of command:

File > New application – importer [image], which shall launch the import parameters window:

Fig. *.INI-based application import window.

‘Application import’ window allows to determine:

  • Source directory – parameter indicates directory of asix application parameterized with use of *.ini files;

  • Application files – this field indicates *.ini files of the imported application;

  • Options:

  • Import menu files (*.pum) – select this option to import the application menu definitions to *.XML configuration file; this will allow menu editing from the level of Architect program:

Masks module > Menu tab;

  • Import action set files (*.act) – select this option to import the definitions of action sets to *.XML configuration files; the syntax of action sets will be editable in Architect program:

Scripts and actions module > Action sets tab;

  • Import commented options – select this option to import options commented in *.ini files to *.XML file; the options will remain inactive;

If *.ini file contains commented documentation fragment, it is not recommended to select this option.


3.4. Configuration of start parameters

Start parameters include the basic information about the status of asix system in the stage of application start.


3.4.1. Standard data

Fig. Start parameters window – Standard tab.

Standard tab defines:

  • Application identifier / Name – allows to assign a name to the application identifying the given application in the network of stations. If a name is assigned, during end of work, it is checked whether in the network there exist any machines running the same application. If such machine is not found, the appropriate information will be displayed. It is then required to confirm the program exit command.

Default value: no name

  • Box intro – field indicating to a bitmap, which will be displayed on the screen during the application start-up.

Default value: none

  • Action – field indicating to an operator’s action, which shall be executed during the application start – after opening of all masks declared in parameter:

Start parameters module > Masks tab > Open parameter

Default value - no start action

To perform several operations, an action set is required.


3.4.2. Declaration of programs started together with the application

Programs tabs:

  • AsTrend – allows to declare the start of AsTrend program simultaneously with asix application; AsTrend program runs minimized and waits for calls from AS program; you can also set the following parameters connected with AsTrend start:

  • Save block - if set, it doesn't allow saving any AsTrend files;

  • Always work as Administrator;

  • Alternative variable definitions base for AsTrend application;

  • Directory of the converted trends v1- if you have a very old asix version trends defined in DAT files, you have to declare this directory and use the converter run by pressing the Run converter button to convert DAT files into TRNX files.

  • Ignore action parameters of Trend v1 - option used only when you have to convert DAT files into TRNX files.

Default value: no declaration

Fig. 'Start parameters' window – 'Programs' tab - 'AsTrend' tab 1.

Fig. 'Start parameters' window – 'Programs' tab - 'AsTrend' tab 2.

  • AsBase – allows to declare the start of AsBase program simultaneously with asix application with additional options:

  • Name of XML configuration file – mandatory parameter; XML file stores the basic configuration information, such as location and method of access to AsBase application database; XML files also stores the definitions of archiving conditions and automatic prescriptions;

  • User, Password – optional parameter; results in automatic login of the indicated user at the program start-up;

  • Allow only one instance of application to run – optional parameter; in the situation, when the program is running, new program instance will not be created; the earlier AsBase instance will be put on top;

  • Run application minimized – optional parameter

  • Require administrator privileges to end AsBase application

Start AsBase has an identical effect as operator’s action ASBASE, located in ACTION parameter (Start parameters> Standard tab > Action parameter); the only important difference is the moment of execution – Start AsBase parameter is executed before opening of masks indicated in parameter: Start parameters module > Masks tab > Open parameter; while AUTOSTART action – even if executed by Action parameter (Start parametes module > Standard tab) is executed after opening of start masks. This can constitute a serious problem: autostart masks cannot use ASBASE objects.

Default value – none start action

Fig. 'Start parameters' window – 'Programs' tab - 'AsBase' tab.

  • Askom.Data.Host – allows to declare the start of Askom.Data.Host that is used by reporting system (based on reports prepared in Microsoft Reporting Services environment) to provide access to asix application process data; when the asix application has reports prepared in MS Reporting Services environment, the Askom.Data.Host has to be run all the time of application running.

Fig. 'Start parameters' window – 'Programs' tab - 'Askom.Data.Host' tab.

  • Scripts – the scripts declared in the table on Scripts tab will be executed during start of asix system application.

Fig. 'Start parameters' window – 'Programs' tab - 'Scripts' tab.


3.4.3. Basic parameters of Control Panel and Designer

Control panel tab allows to define the basic parameters of Control Panel and Designer.

Window tab

  • Control panel window position – the starting position of the Control panel window. The coordinates are given in pixels.

Default value: - standard position.

While defining the window position, the designer can use a tool simplifying this activity. Select… button runs the ‘Window position’ window, which contains Preview button. It allows to determine coordinates by manual moving of the grey window of the size of Control Panel.

Fig. Start parameters window – Control panel/Window tab.

  • Display control panel window always on top – this item allows to assign an attribute to the control panel window, which will result in displaying the window above all other system windows. It is useful to use this parameter, if masks with “on top” parameter are used, which can cover the panel.

  • Errors buffer - numer of errors stored in the control panel and designer window.

  • Hide – allows to block hiding of the application windows from Designer menu level (command Files > Hide windows is blocked) and action HIDE_ALL. It is useful, when it is necessary to set a different mode of operation of the same application on various stations (e.g. operator station and control station).

Command Files > Hide windows and action HIDE_ALL result in minimization of all open application windows to an icon in right part of the toolbar. This automatically reduces the CPU load. To restore the application, double-click on asix icon located in the right part of the toolbar.

  • Silence – this item disables the sound signaling of control panel alarms and messages.

File tab

Fig. Start parameters window – Control panel/Window tab.

  • Message file – indicates location, where the Control Panel and Designer messages will be saved and determines the maximal message file size.

Button [image] runs the asix log viewer window.

Button [image] deletes the log file.

Default value - system messages are not saved to file.

Fig. Asix log viewer.


3.4.4. File synchronization

File synchronization tab allows to set the mechanism of application file updating.

Files tab

  • Files – option allows to define files that will be synchronized with template from specified directory.

Default value: non-active.

Fig. 'Start parameters' window – 'File synchronization' tab - 'Files' tab.

Option tab

  • Period – synchronization period.

Default value: non-active.

  • Report – the option allows to send messages to Control Panel in case of file synchronization operation.

Default value: non-active.

Fig. 'Start parameters' window – 'File synchronization' tab - 'Options' tab.


3.4.5. Defining interdependencies between computers and fields

View of Computers tab depends on the fact, which element is highlighted in the computer and fields tree. If it is Field, the window displays a list of computers connected to the given field. If it is Computer, a tab appears with the statement of areas available and areas, where the given computer is connected.

Fig. View of computers connected to the selected field.

Fig. View of fields, where the selected computer is connected.


3.4.6. Declaratrion of active variables

The VarDef active variables tab allows to switch on variable selection according to the attribute defined by the user. That may be any attribute declared by the user in Variable Definition Base and then set on the VarDef active variables tab. The variables with the value of 1 for this attribute are treated as active variables and are loaded at asix application start-up.

Fig. 'Start paramaters' > 'VarDef active variables' tab.


3.4.7. Declaration of external VarDef

The Variable definiiton base tab is active for the External variable definition base declared as the VarDef type:

Architect > Databases > Variable definition base > Type tab

  • Variable definiiton base – name and path of MDB file or name of MS SQL server and database name separated by slash.

Fig. 'Start paramaters' > 'Variable definition base' tab.


3.5. Configuration of masks parameters

Masks module includes parameters, which need to be configured in order to guarantee the proper operation of masks. Those parameters, among others, locate the graphical symbols used for mask design, indicates directories, from which the masks are acquired during the application runtime, and defines the selected parameters of objects operation on masks.


3.5.1. Declaring the location of graphic files and technological masks

Files and Directories tab allows to execute the following functions:

Fig. Masks parameters window – 'Files and Directories' tab.

  • Graphical symbols file gives the name of file, where the bitmaps and icons used for the application are stored. The user may on his own created the graphical symbol files necessary for designed applications). The default vale: user can create the.

Default value: bitmaps are by standard added to the package and are colated in AS program directory.

The instruction for use of bitmaps in asix system application can be found in “Asix – user manual” (asix.pdf i asix.hlp), chapter Designer – designing the application.

  • Mask path – this item presents the list of directory names, where the files with visualization masks are located;

The default value: missing entry means that the mask items will be loaded from application’s root directory.


3.5.2. Declaration of masks opened automatically at application start-up

Opened masks tab defines:

Fig. Start parameters window – 'Opened masks' tab.

  • Opened masks – names of masks, which should be opened automatically at application start-up;

  • Opened and minimalized masks – names of masks, which should be opened automatically at application start-up and immediately minimized.


3.5.3. Declaration of fonts used in the designed application

Fonts tab

Fig. Mask parameter window – 'Fonts' tab.

Fonts tab allows to define fonts used in asix system application. Under the list of declared fonts, there is a font preview window, enabling to check the selected font.


3.5.4 Declaration of application languages

Fig. Mask parameters window – 'Languages' tab.

Languages tab is designated for defining the application operation languages.

  • Languages are declared by means of:

  • Language code – it is recommended to observe ISO639 standard; the language code is used for selecting the active language and for selection the appropriate versions of texts used in the application;

The statement of all language codes supported by Architect is contained in Appendix 2.

  • Description – language description;

  • Code page - parameter, which determines the appropriate code page for the given language; the parameter is used by the automatic font code page switching function;

Five language items can be declared for the given application, i.e. application built with use of the package can work in five languages.

The first declared language is of special significance. It describes so-called basic language. This is the language, in which the application was created.

Language switching system is activated, if at least two application operation languages are defined in the configuration file.

  • Table of Texts – is used for translation of texts, which are displayed within the application elements and are embedded into the program code.

The mechanism is launched, if file named TextTable.Lng is placed in the application start directory.

The Table of Texts file is a text file, where individual lines are multilingual texts defining the text translations. Comment lines, market with semicolon preceding the entire line, are allowed.

Within asix package, TextTable.Tlt file is supplied, which contains a full table of texts for Polish and English.

The designer should copy this file to the application directory under the name of TextTable.Lng, and then fill in the multilingual texts with variant definitions for other used application languages.

  • Table of translation – is used for translation of texts entered by the designer during application definition. In particular, this pertains to texts from objects located on visualization masks.

The mechanism is launched, when file named TranslateTable.Lng is placed in the application start directory. The base Table of Translation file can be generated automatically with use of TRANSLATION_FILE function from TOOLS menu of Designer window.

See also 3.17. Configuring multilingual application.


3.5.5. Editor for TABLE object

Table tab allows to run variable table editor used for displaying current values of process variables.

Fig. Mask parameters - 'Table' tab.


3.5.6. Definition of menu located on application mask

Fig. Masks parameter window – 'Menu' tab.

Menu tab is designated for creating menu definitions located on masks performing the function of menu bars with drop-down selectable items.

Fig. Drop-down menu view.

Definition of a single menu is attached to one button on the menu bar.

To create menu definition, declare the menu name in Menu window and use [image] command to open the menu editor.

Fig. Menu editor window.

In Menu editor determine the following elements defining the layout and method of operation of the single menu:

  • Name – in this field, enter the texts - directly or with use of Multilingual texts editor (started with button [image]) – which should appear in the ready-made application as the drop-down list items.

Fig. Multilingual texts editor.

  • Action – this field allows to declare an action for each item of the defined drop-down menu. The action will be executed, when the given item is selected. The action can be defined with use of Action editor started with button [image].

Fig. Action editor.

  • Group start – selecting this field for a given item causes that in the ready drop-down menu items list, a horizontal line will appear above this item, thus separating the item from previous ones.

Fig. Group start in the drop-down items menu list.

To add and delete drop-down list items, use the Menu editor toolbar:

, where:

- Add element (Shift + Ctrl + Ins);

- Add sub-element (Ctrl + Ins);

- Delete element (Ctrl + Del);

- Move up (Ctrl + Up);

- Move down (Ctrl + Down);

- Move left (Ctrl + Left);

- Move right (Ctrl + Right);

- Preview (Ctrl + P).

The created definition of single menu can be attached to button located on the menu bar mask:

Fig. Association diagram for single menu definition and application menu mask.


3.5.7. Definitions of text parameters

Text parameters tab allows to define the text constants, which serve for:

  • definition of texts displayed by the visualization objects of TEXT class,

  • definition of texts used by ASTER language for report development (alias instruction),

  • definition of numeric values (entered as text) used by ASTEL language to handle the process data (alias functor),

  • definitions of control codes used for report formatting in the printer (ctrl instruction),

  • definitions of components of the operator's action set,

The text parameter definition involves the following fields:

  • Logical name of text parameter;

  • Text – the parameter can be defined with use of Multilingual text editor, launched with button [image];

Fig. Masks parameters window – 'Text parameters' tab.


3.5.8. Screen keyboard declaration

The screen keyboard mechanism (active in the application runtime mode) provides the operator with option to enter texts to editing fields of dialog boxes and editing fields of NUMBER and CAPTION objects by means of an appropriate screen keyboard. The mechanism is a support for applications operating on touch screen panels.

Keyboard is activated after clicking in the area of field or object.

Fig. Screen keyboard windows available in asix system.

Fig. Masks parameter window – Screen keyboard tab.

Screen keyboard tab contains the following parameters:

  • Enable screen keyboard – runs the screen keyboards mechanism, enabling (in the application runtime mode) the entering of texts to editing fields of dialog boxes and NUMBER and CAPTION objects;

Default value: screen keyboard mechanism is disabled.

  • Screen keyboard size – the parameter allows to determine the size of screen keyboard in pixels; Default value: keyboard window has width of 500 pixels;

  • Numeric keyboard size – the parameter allows to determine the size of numeric keyboard in pixels;

Default value: window has width of 300 pixels.


3.5.9. Parameters controlling the visualization object blinking period and parameters for

Misc tab includes the following parameters:

  • Blinking period – declaration of blinking period (in miliseconds); this parameter is set on one-time basis and impacts the operation of all objects using the blinking attribute;

Default value: 333 ms

  • No hidden controls – parameter allows to block the sending of controls from masks, which are at least partially hidden under another window;

Default value: by default, the controls from all masks open at the given moment are sent.

  • Controls validity time - parameter allowing to define a period, measured in seconds since the moment of the last control setting by the operator until the moment of deleting all active selections by the system. “0” means that the controls validity time measurement option is disabled; by default, this option is enabled.

Default value: 0 - once defined control setting is active until the mask is closed – unless it is earlier removed by the operator.

Fig. Masks parameter window – 'Misc' tab.


3.6. Configuration of current data parameters

The Current data [image] parameter group includes the settings of Asmen module settings, including the detailed parameterization of transmission channels – physically executed connections between asix system machine and object controllers and the parameterization of communication drivers.

In asix system all operations related with access to process variables are executed by Asmen module. It supervises the process of cyclical process variable value updating in the database and intermediates all operations related with sending controls to the object. The direct data exchange between the machine and object driver is executed by means of drivers operating under control of Asmen.

Basing on the performed parameterization, a repository of current process variable values is create (stored by Asmen module in the machine’s operating memory). All asix system components can access this repository. The values of stored process variables are updated on current basis through cyclical object reading.

Detailed description of Asmen module functionality can be found in “Asix –user manual” in chapter ASMEN communication module.


3.6.1. Standard parameters

Fig. Current data parameters window – Standard tab.

Parameters related to current data located on Standard tab include:

  • Simulation – If option Checking this option will cause that current data module Asmen will not be loaded is checked, Asmen works in data simulation mode.

Default value: by default, this option is disabled.

  • Overloads – this parameter allows to register the overload status during process variable refreshing in the operator panel;

Default value: by default, this option is enabled;

The above mentioned overloads pertain to variables – in case when the declared variable refreshing time exceeds the ability of the transmission channel. (Refreshing frequency is declared in the variable definition.)

  • Data / Names of files with process variables declarations

The field is available only, when the process variable definitions are loaded from text files, which was earlier declared in:

Databases module > Type tab > Variable definitions base type: Variable definitions base in an old format – text files


3.6.2. Advanced parameters

Tabs Advanced and Advanced 2 appear only if the following command was selected:

View > Show advanced options

Fig. Current data parameters window – 'Advanced' tab.

Fig. Current data parameters window – 'Advanced 2' tab.

Advanced tab allows to parameterize the following items:

  • OPC status – declaration of using statuses in OPC-compliant mode; this option must be enabled to ensure the proper operation of scripting module.

Default value: option enabled

  • Priority – declaration of Asmen threads priority:

  • 0 - THREAD_PRIORITY_NORMAL,

  • 1 - THREAD_PRIORITY_ABOVE_NORMAL,

  • 2 - THREAD_PRIORITY_HIGHEST.

Default value: 0

  • Number of attempts of access to a variable – declaration of the number of remote access attempts to the server variable; after this number of attempts, it is assumed that the variable was not declared on the given server;

Default value: 1

  • Number of users – allows to define maximal number of users utilizing Asmen API. This item is used in multi-port applications with MUZ driver;

Default value: 128

  • Initial refresh – if the option is declared, the current values of all process variables are read in stege of Asmen installation;

Default value: option enabled

  • Delay of server data – item used in the terminal; defines the time, after which the variable error status is set; time is calculated as variable refresh time (given in the variable definition) multiplied by this item’s value; the item is applied to all variables at one time; unit: second.

Default value: 1 second

  • Refresh period – declaration of the default process variable refresh cycle (in seconds), for variables, which do not have the appropriate refresh cycle value declared in their declaration;

Default value: 1 second

  • Table path – declaration of directory name, where the tables used by the TABLE conversion functions are located;

Default value: no declared path

  • Variable description - if the option is declared, the 'Description' field in definitions of process variables is used; the option is meaningful only when variable definition base in text file form is used

  • Asynchronous control - the declaration of using asynchronous mode for control in fast transmission channels

Default value: no declaration


3.6.3. Diagnostic parameters

3.6.3. Diagnostics parameters

Diagnostics tab appears only if the following command was selected:

View > Show advanced options

Diagnostics tab

Fig. Current data parameter window – 'Diagnostics' tab.

Diagnostics tab includes:

  • Log file - by default the option is set for new applications

  • Channel statistics – statement of the number of refreshed and overloaded variables in individual physical channels; the statement is fed to control panel every second;

Default value: option is enabled

  • Overload statistics – statement of the number of overloaded variables in physical channels; the statement is fed to control panel, when an overload occurs;

Default value: option is disabled

Diagnostiocs - trace tab

Fig. Current data parameter window – 'Diagnostics - trace' tab.

  • Tracing of variables - this option determines writing into log file information on values received from PLCs and other sources by the current data module


3.6.4. Definition of communication channels

Definitions of communication channels are added with use of Add channel command, available after right-clicking on Current data item. ‘Add channel’ window will appear, where the channel name and communication driver name should be defined.

Fig. Channel definition declaration window.

Select the driver name from the list of drivers available in asix package. To display the list, press Choose button in 'Add channel' window.

Fig. Communication driver selection window.

Having selected the specific driver, an item with the selected driver name will appear in Current data parameter group. Click this item to open driver parameterization tabs in the parameter window. The tabs are described below.

Standard tab includes standard parameters for channel declaration:

  • Channel/Name – defines the channel name;

  • Channel/Driver – defines the driver name;

  • Driver used in channel:

  • Use driver from channel definition;

  • Temporarily use NONE driver – option applied in case of lack of physical connection to the controller; NONE driver can be used for application testing purposes;

  • Temporarily use NETWORK driver – NETWORK driver is a specific type of driver; it does not establish a physical connection with controller, but only with another machine, which has such a connection; when connected, network channel driver requests all servers, given the channel logical name; only the servers with appropriate channel declared respond to such request; if more than one server responds, the least loaded server is used for connection establishing; if the server is turned off during operation, the network channel driver will switch to another server;

  • Alarm in channel (parameter available only for selected drivers)– declaration of alarm call in case of lack of transmission in logical channel; optionally, it is possible to give the alarm number in case, when transmission is switched to a redundant channel (if only any redundant channel was declared for the logical channel);

Default value: no declaration of basic and redundant channel

  • Time synchronization (parameter available only for selected drivers)– synchronization of the time is performed in the direction: from asix to PLC; more infotmation can be found in CommunicationDrivers.hlp - in the part concerning the specific configuration driver;

Default value: no declaration

Fig. View of communication driver parameterization window – 'Standard' tab.

Advanced tab includes the following declarations:

Advanced tab appears, when command View > Show advanced options in Architect module window menu is selected.

  • Remote write access - if this option is turned on, it will grant the authorization for remote controlling in the declared logical channel only for the specified machines; other machines will not be able to perform controls in this logical channel;

Default value: none machine is allowed to perform remote controls

  • Remote read limitation – if this option is turned on, it will grant the authorization for remote reading of process variables in the declared logical channel only for the specified machines; other machines will not be able to read variables from this logical channel;

Default value: by default, the remote reading is not limited;

  • Redundancy (parameter available only for selected drivers)– declaration of redundant channel for the logical channel. Optionally, the scope of search may be limited by means of declaration of the list of machine. Enter the redundant channel name in this field, type comma and follow it names of machine, which the search scope should be limited to.

Default value: by default, the redundant channel is searched on all network machines

Fig. View of communication driver parameterization window – 'Advanced' tab.

Advanced 2 tab includes the following declarations:

Advanced 2 tab appears, when command View > Show advanced options in Architect module window menu is selected.

  • Local write denied – blocking of local controls in logical channel;

Default value: no blocking of local controls

  • Data validity period - period (in seconds), when the process variable values remain valid in the logical channel, regardless of the declared refresh frequency; process variable values validity is determined on the basis of refresh cycle;

Default value: 0

Fig. View of communication driver parameterization window – 'Advanced 2' tab.

Tab with the declared driver name includes parameters appropriate for configuration of the communication channel for the given driver.

Full description of drivers utilized by asix system can be found in “ASMEN – communication drivers and protocols” manual (CommunicationDrivers.hlp or CommunicationDrivers.PDF).


3.6.5. Channels management

3.6.5. Channel management

The 'Channels management' window is activated by the Manage Channels command from the local menu displayed after clicking the right mouse button on the Current data [image] item. It allows to delete, copy to computer/field and change type of driver used in channel.

Fig. 'Channel manager' window.


3.7. Configuration of network server related current data parameters

Configuration of parameters from group [image] Current data – network server is related to setting the parameters configuring the method of data exchange in the local computer network.

Local computer network may be used for creation of such asix configuration, where only a part of machines (data servers) have direct connections with controllers. The remaining computers (workstations) use the information provided by the data servers by means of local network.

Asix system transmission channels used for data acquisition through local network are dubbed ‘network channels’.

Data exchange in the local computer network between asix stations is executed by NETSERV module. This module is loaded automatically during asix start-up.


3.7.1. Standard data

Standard tab covers the configuration of the following options:

  • Redundant channels – determines the server channel type, which will be accepted by the given remote computer as redundant channel, available types are:

  • ONLY PHYSICAL - only physical channel,

  • ONLY NETWORK - only network channel,

  • ALL - any type of channel;

Default value: ONLY PHYSICAL

  • Gateway mode – declares the workstation operation in GATEWAY mode.

In configurations, where asix workstation is a gateway between two local computer networks, the workstation network channels are considered as equal to physical channels in scope of data provision in local network. Corporate network terminals may join the gateway network channels.

Default value: GATEWAY mode is not declared

  • Server search - period

Default value: 1s

  • Server search - timeout - maximum waiting time for answer during servers search

Default value: 18s x 55ms

  • Data transmission - timeout - maximum waiting time for answer from server during data transmission

Default value: 10s

Fig. Current data parameters window – for network server – 'Standard' tab.


3.7.2. Advanced data

Advanced tab appears, when command View > Show advanced options from Architect module window menu is selected.

Advanced tab

  • UTC time – requests, that variable values should be marked with UTC time.

Default value: option disabled

  • Closing client connections – it closes client connection in case of no connection with the PLC in the physical channel; the option should not be used if there is only one data server in the network that has connection with the PLC; the option is meaningful only for channels that support Alarm in channel option.

Default value: option enabled

  • Channels excluded from gateway – the list of network channels separated with commas, where the local network clients WILL NOT be able to connect to;

Fig. Current data parameter window for network server – 'Advanced' tab.

Advanced 2 tab

  • Refresh limit – determines the time interval (in seconds) for sending the process variables values belonging to channel defined in Channel field from the data server to the workstation. It is recommended to use this option for communication on slow links.

Default value: process variable values are sent with interval compliant to the process variable declaration on the data server.

  • Priority – declaration of NETSRV threads priority:

0 - THREAD_PRIORITY_NORMAL,

1 - THREAD_PRIORITY_ABOVE_NORMAL,

2 - THREAD_PRIORITY_HIGHEST.

Default value: 0

  • Connection thread – declaration of separate thread for network connections;

Default value: option enabled

Fig. Current data parameter window for network server – 'Advanced 2' tab.


3.7.3. Diagnostic parameters

Diagnostics tab appears, when command View > Show advanced options from Architect module window menu is selected.

Diagnostics tab

  • Log file – declaration of log file name with NETSERV diagnostic messages;

- Name – Default value: log file is not created

- Maximal size – default value: 1 MB; when the declared size is exceeded, the previous contents of the file are deleted

Detailed information on data exchange through the local network can be found in "Asix – user manual” in chapter ASMEN communication manager, Data exchange through local computer network.

  • Log of telegrams from Aslink – declaration of saving messages received from Aslink to log file declared in the above mentioned Log file option;

Default value: option is disabled

Fig. Current data parameters window – for network server – 'Diagnostics' tab.


3.8. Configuration of archival data

The parameter group [image] Historical data contains the settings of Aspad module operation, including the logging parameters and parameters for further restoration of temporal trend of the variables.

Aspad module enables archiving of variables of any type allowed in Asmen module, on condition that these are scalar variables. These can be both the process variables, and variables being the result of calculation or simulation. In the current version, it is impossible to archive tables. Except for value and time, the OPC-compliant value status is also saved. Data are gathered in files of special structure (D, M, Y archive – the division into daily, monthly and annual files) or in databases (archive B).

Detailed description of the functional ability of Aspad module can be found in “Asix – user manual” in chapter “ASPAD Data Archiving Program.


3.8.1. Standard data

Standard tab allows to determine the following basic archiving parameters:

  • Simulation – check this option to skip Aspad loading;

Default value: Aspad is loaded

  • Find server repeat period – determines, after what time the system should reattempt to seek server for Aspad resources, if the previous attempts failed;

Default value: 60 seconds.

If a too short period is determined, the network will by overloaded by the operation of seeking for non-existent server. Too big value will result that after the server is toggled on, it will remain unnoticed for long time.

  • Conditions – allows to define the files containing the conditions to be used for conditional archiving.

Detailed description of conditional archiving is contained in “Asix – user manual” in chapter 7.7.1. Declaration of archiving conditions.

Fig. Historical data parameters window – 'Standard' tab.

Examples of archiving conditions:

Make archive, when bits 4. or 8. of variable AAA changed status:

WARUNEK, BNE, @AAA, $@AAA, 0x110

Make archive, when bit 0. of the archived variable changes status from 0 to 1:

WARUNEK, BGT, @, $@, 0x1

Make archive, when the value of archived variable is outside of its range (20,80) and on of bits of the bits 0-3 of variable WWW is activated:

W1, IN, @, <<, 20, 80, >>

W2, BAND, @WWW, 0xF

WARUNEK, AND, ?W1, ?W2

Make archive, when value of archived variable exceeds the limit of 100:

W3, GT, @, 100

WARUNEK, AND, ?W3, !$?W3


3.8.2. Declaration of server response waiting time

Server profile tab appears after selecting command View / Show advanced options from Architect module window menu.

Server search tab includes the following parameters:

  • Time for server profile – determines, how long the system should wait for server response after the initiation of search:

  • Minimal time – defines how long the system should wait, regardless of the fact how many servers had already responded.

  • Maximal time – determines the time, after which – when no server response is received – it should be assumed, that the server for the given resource was not installed in the network.

  • Repeat cycle – optional parameter for cycle, where the server search should be repeated if no response for previous queries was received.

Default value: respectively, 2 s, 10 s, 1 s

Too small Minimal time parameter will cause that the first responding server will be connected, which does not allow to apply the server load balancing criteria.

Too big Minimal time parameter will prolong the waiting for server connection.

Too small Maximal time may prevent from connecting to existing servers.

Too big Maximal time prolongs the waiting for resolution, that there is no appropriate server in the network.

Fig. Archival data parameter window – Server Profile tab.


3.8.3. Data merge period

Merging tab allows to set default minimum period for data merge (in days).

Fig. Data merge period tab.


3.8.3. Diagnostic parameters

3.8.4. Diagnostic parameters

Diagnostics and Diagnostics - trace tab appear after selecting command View / Show advanced options from Architect module window menu.

Diagnostics tab defines:

  • Log file name – file, where ASPAD will record diagnostic information;

Default value: log file aspad.log is created by default.

  • Diagnostic settings – allows to determine, what type of diagnostic information will be recorded in the log file.

Default value: Historical data merging diagnostics

Fig. Archival data parameters window – 'Diagnostics' tab.

Diagnostics - trace tab defines:

  • Tracing of sampled values – it allows (for selected variables) to write into the log file all the information on values that ASPAD received form the source;

Default value: no declared items

In the current version, it is possible to use this mechanism only for tracking of floating point variables.

Fig. Archival data parameters window – 'Diagnostics' tab.


3.8.5. Historical data merging parameters

3.8.5. Acquisition of historical data

Acquisition of historical data tab includes:

  • Time of first acquisition – this option determines, after what time since the start of the current archiving, the first gap filling should be commenced;

Default value: 10 seconds

The data merging process requires an information on the length of gap in the archive resulting from the last archiving shutdown; to gather this information, it is necessary to find the first point after the gap; time determined in this item should allow to obtain the first datum for each variable.

  • Cycle length and Cycle phase – these are parameters determining the frequency of archive gap filling attempts – e.g. 5m, 30s means that 30 seconds after each full 5 minutes, the archive gap filling will be attempted;

Default value: for cycle length of 1 hour and for cycle phase of 5 minutes, the archive filling will take place 5 minutes after each full hour; cycle length is measured according to UTC time.

  • Gap filling horizon – an additional, optional parameter allowing to determine, how far the historical data filling attempt should reach backwards; the horizon does not depend on the fact, whether the filling attempt was already performed; the option is required for data sources, where historical data may emerge with some delay; if no such parameter is given - the lack of historical data in the data source causes that the restoration attempts are given up.

Default value: none

Fig. Archival data parameter window – 'Acquisition of historical' data tab.


3.8.5. Archive parameterization

3.8.6. Archive parameterization

In case of archiving the variable values, it is necessary to declare the archive.

Archive is declared with use of Add archive… after right-clicking on Historical data item. ‘Addition of a new archive’ window will be displayed, allowing to define the archive name.

Fig. Opening the 'Addition of a new archive’ window.

The basic archive type is STANDARD. The archive is saved in binary files on the disk.

The second archive type is AS BDE and MS SQL. This is an archive saved in database of – respectively - Paradox and SQL type.

Aspad collects data in files containing the records from one day, month or year period, respectively, to archive types:

Archive of D type (day) - data gathered in daily files;

Archive of M type (month) - data gathered in monthly files;

Archive of Y type (year) - data gathered in annual files;

Archive of H type (horizon) - data gathered in one file;

Archive of B type (database) - data gathered in typical databases;

Archive of P type (pattern) - pattern data;

It is also possible to divde the archives according to the data provisioning method:

Write archive - basic archive allowing to write and read data from archival files;

Read archive - archive only allows to read data from archival files;

Network archive - archive allows to read data from another computer through the network;

Slave archive - archive allowing to write and read data, used as redundant copy of a basic archive on another machine.

Slave archive is a writable archive located on the slave server of the given resource. Slave archive should be a redundant copy of a master archive on basic server. The difference between the slave archive and master archive consists in preferences for the master archive during connection of network clients. Client will connect to the slave archive only if no master archive can be found in the network.

Slave archive is use to provide a temporary redundant copy for the time of master server maintenance or failure. It is possible e.g. to declare the master archive with 100-day horizon and the slave archive with 10-day horizon. This will allow to fill the master archive for the downtime of max. 10 days, while during the presence of the master server, the clients will connect to it, thus allowing the use of 100-day horizon data.

To configure archive with use of Architect module, in the application parameter tree highlight the Historical data item and right-click - and then select Add archive command.

Click in the created archive to display the tabs for archive configuration in the parameter configuration window.


3.8.6.1 Standard parameters

Standard tab includes the following parameters:

Fig. Archive parameter window – 'Standard' tab.

  • Archive:

  • Name – logical name of the archive (resource);

Default value: Archive1

  • Archive type due to data provisioning method:

(local archive):

‘Write archive’

‘Read archive’

‘Slave archive’

or

‘Network archive’

Default value: ‘Write archive’

  • Kinds of archive:

‘STANDARD’

‘MS SQL’

Default value: ‘STANDARD’

STANDARD archive

STANDARD archive requires some additional parameters. To set those parameters correctly, press button [image] to open additional window:

Fig. STANDARD archive parameterization window.

  • Archive directory – relative or direct path to the directory, where the archive files will be stored;

Default value: none

  • Storage period for archive files – storage period for archive files, respectively, of D, M and Y type, where:

min is the number of days, for which – after the end of the given file period – it is not allowed to delete the file, even if there is no free space on the disk (default is 1),

max is the number of days, after which the file must be deleted (default is 0, which is interpreted as ).

MS SQL archive

MS SQL archive requires some additional parameters. To set those parameters correctly, press button [image] to open additional window:

Fig. MS-SQL archive parameterization window.

  • Server name – relative or direct path to the directory, where the archive files will be stored;

name of SQL server instance, where the database exists or will be created; if the parameter is empty, a local server will be used (it is also possible to declare LOCAL server, which is equivalent to empty server name in the archive declaration);

instance name has the following form:

system_name_of_the_machine – for the basic server instance or

system_name_of_the_machine\instance_name – for the named instance;

Default value: none

  • Database – database name on the server side; if this parameter is empty, the database name= ASSQL_resource_name;

the name cannot be repeated for different archives on the same SQL server, but can be repeated in various declarations, if they pertain to multiple servers

Default value: none

  • Optional parameters:

-XT, +XT - archiving of data time – defines, whether the database will archive the exact data time (+XT) or only the time rounded to full sampling cycle (-XT) (the exception are data, for which EVERY attribute was declared – for such data the time is not rounded to sampling cycle);

toggling this option on will add 8-byte field to each data record;

Default value: +XT – time is archived;

-WT, +WT - archiving of time of write – defines, whether the database will archive the time of writing;

toggling this option on will add 8-byte field to each data record;

Default value: -WT – time of write is skipped;

-VT, +VT - archiving of sample validity time – defines whether the database will archive the sample validity time (+VT) or whether it will be skipped, and the default validity time should be archiving period (-VT); as an effect, for –VT, when the archiving period will be shortened in future, the historical data will be separated with gaps; by default the validity time is archived;

toggling this option on will add 4-byte field to each data record;

Default value: +VT – validity time is archived;

-SV, +SV - number of bytes of trend identifier – defines, whether the variable trend identifier should have 2 (+SV) or 4 (-SV) bytes; in case of +SV, the database cannot store more than 32,767 variables per resource (this includes the variables once declared and later deleted);

toggling this option off will increase, for each data record, the trend identifier field by 2 bytes in data and by 2 bytes in base index;

Default value: +SV – small identifiers are used;

-SD, +SD - number of bytes of record identifier – defines, whether the data record identifier should have 4 (+SD) or 8 (-SD) bytes; in case of +S, the database cannot store more than 2 billion (231) data records per resource (this includes each record write and change, even if it is later deleted);

toggling this option off will increase, for each data record, the record identifier field by 4 bytes in data and by 4 bytes in base index;

Default value: +SD – small identifiers are used.

In case of databases declared as MS SQL, record for each sample includes by default the value, quality, cycle time, exact time, record write time, and sample validity period. Only the cycle time belongs to the database key. The first three fields are mandatory.

It is not allowed to change the optional fields in declaration for once created database, even if they do not reflect the database tables structure.

Network archives

Network archives require to give stations, which can be accessed for data for the resource in case of local archive filling or remote archive reading. Station declaration is performed with use of window opened with button [image]:

Fig. Station declaration window for remote archive reading.

  • Network data servers:

‘All’

‘Only from the list’

‘All with exceptions of those on the list’

  • List of network names of data servers – allows to declare stations, from which it is impossible to access data for the resource during merging of local archive or remote archive reading.

Default value: ‘All’

***

  • UTC time – declaration determines the resource archiving according to UTC time;

If such resources are declared, the time zone settings MUST contain the correct zone with checked option of automatic winter/summer time change. In opposite case, time will be recorded incorrectly.

If UTC time is declared in the archived resource, the old archive must be converted. For standard archive, it can be performed with use of special AspadTools function. Bear in mind the sequential processing of archive files – it is the best to convert all of them with one command.

If UTC time is not declared, communication between ASPADs is executed in local time and is insensitive to incorrect time zone settings.

If UTC time is declared on the server, UTC time must be also declared on the client machine.

Examples of MS SQL archive declaration:

Declaration of write archive for MyArchive resource on local server in ASSQL_MyArchive database, without archiving of record write time:

Write archive

Name: ‘MyArchive’

Archive type: ‘MS SQL’

Server name: -

Database: -

Declaration of write archive for MyArchive resource on local server in MyArchive database without archiving of record write time:

Write archive

Name: ‘MyArchive’

Archive type: ‘MS SQL’

Server name: -

Database: ‘MyArchive’

Declaration of read-only archive for resource ‘ArcSrv1’, on server ‘Srv1’, in ‘ASSQL_Arc’ database with full record:

Read-only archive

Name: ‘ArcSrv1’

Archive type: ‘MS SQL’

Server name: ‘Srv1’

Database: ‘ASSQL_Arc’

Archiving of time of write: R


3.8.6.2 Aggregates archiving

The Aggregates tab allows to parameterize Aggregator - asix built-in module for calculating and archiving statistical data. Aggregates archiving is not active by default.

Aggregates archiving

Default value: option disabled

  • Periods list – aggregation period list in Aspad convention, separated by horizontal lines, i.e. 5m|1h, means calculation 5 minutes and 1 hour aggregates;

  • Aggregates list – aggregates short names list, separated by horizontal lines, i.e. QGood|QBad|Avg

  • Aggregation horizon – aggregation limit for oldest data, in Aspad convention, i.e. 366d means that aggregates oldest than one year will not be archive. Aggregation horizon is not required, empty value means all data aggregation.

Warning: Periods list and Aggregates list are required parameters for this option.

Fig. Archive parameters window – 'Aggregates' tab.


3.8.6.3 Data merging

The Merging tab allows to determine the following parameters:

  • No merging – toggle this option on to prevent from data merging for the given archive (resource);

Default value: option enabled

  • Mergin mode:

- Merge data only at application start-up; later retrieve data from the current data mode;

- Keep merging data; don't retrieve data from the current data module;

  • Merging limitations – allows to limit the list of stations, from which Aspad will merge data; on condition that option No merging is disabled:

- Merge data only with servers from the list;

- Merge data with all servers except the ones from the list;

  • Minimum merge period - using this option one can increase the period from which archives should be merged; by default, current and previous archive files are merged.

Fig. Archive parameters window – 'Merging' tab.


3.8.6.4. Remote read access

The Management tab allows to set the Remote read access parameter. There are two possible options:

- Only stations from the list can use this archive;

- All stations except the ones from the list can use this archive.

Fig. Archive parameters window – management of remote read access tab.


3.8.6.5 Parameters defining the archive backup execution

Fig. Archive parameter window – 'Backup' tab.

Backup tab pertains to options:

Backup – parameterizes the backup creation method:

Default value: backup is not created

  • Archive – determines the name of archive, where the backup should be executed; it is the name of archive defined as slave archive;

Default value: none

  • Cycle length – determines, how often the backup execution should be initiated;

Default value: 1 day

  • Cycle phase – determines delay between full cycle and backup initiation;

Default value: 1 hour and 30 minutes

  • Type and number of copied files – allows to determine what types of files should be backed up and how many last files of the given type should be backed up:

  • Daily archive files (D),

  • Monthly archive files (M),

  • Annual archive files (Y),

  • Archive with horizon files

Default value: no type declaration

For one resource, it is possible to declare several archives, for which the backup will be executed. It allows e.g. to back up daily files in other location than monthly files.


3.8.6.6 Declaration of synchronization of B-type archive contents with MS SQL base data

Fig. Archive parameters window – 'Synchronization' tab.

Synchronization tab defines:

  • Synchronization – method of synchronization of B-type archive with data collected in MS SQL base.

Method of writing:

SYNCHRONIZATION = source_name, target_name, [I] [cycle], phase

or

SYNCHRO = source_name, target_name, [I] [cycle], phase

where:

source_name - name of resource defined in ARCHIVE declaration, determining archive, from which the data should be copied;

target_name - name of resource defined in ARCHIVE declaration, determining archive, where the data should be copied to;

cycle - determines, how often the data adding should be initiated; adding letter I in the beginning causes that the first synchronization will be performed always during system start-up; I without cycle time causes that synchronization is performed only at system start-up; if value 0 is given as cycle parameter, synchronization is not performed cyclically, and this declaration will be used only as declaration for SYNCHRONIZE_ARCHIVE operator action; default value of cycle parameter is: 24 hours, unless I is given (then no cyclical operation is executed);

phase - defines delay between the full cycle and the initiation of data copying; default value is 0.

Default value: no declared synchronization

Synchronization results in incremental copying. Only the data added or changed in the source archive since last copying will be copied. In case of conflict with existing data, target archive will include data of better quality. In case of data of the same quality, manually inputted data are preferred.

It is possible to input multiple SYNCHRONIZATION declarations, also for one resource, which allows e.g. to fill data from several twin servers.

  • Master archive – if the paramater is used, the data in the archive on this computer is more important than on other computers.

Fig. Window with information on 'Master archive' parameter.


3.8.6.7. Advanced parameter

Advanced tab appears after selecting command View / Show advanced options from Architect module window menu.

Advanced tab defines:

  • Store of values with given status – the option allows configuration of archivization depending on status. By default, only values with good status are archivized.

Fig. Archive parameters window – 'Advanced' tab.


3.8.7. Archive management

The 'Archive management' window is activated by the Manage Archives command from the local menu displayed after clicking the right mouse button on the Historical data [image] item. It allows to delete, copy to computer/field and change type of archive.

Fig. 'Archive management' window.


3.9. Configuration of alarm system

Asix system has an embedded, flexible alarm handling system, allowing for full satisfaction of the needs related to the comprehensive handling of emergency situations and events in the technological process.

Description of the alarm system can be found in "Asix – user manual” in Alarm system chapter.

In general, the alarm system can be divided into two parts:

  • system core, responsible for alarm detection, saving and definitions;

  • visualization part, including two types of alarm masks (active and historical alarms).

System core configuration consists in appropriate definition of parameters in the application’s XML configuration file and creation of text files with additional information.

Additional parameters are determined in text files. These are:

  • alarm definitions files,

  • group definitions files,

  • limit definitions files.

Instead of above mentioned text files, alarm definitions and group definitions can be prepared in Excel spreadsheet and on this basis, the alarm definitions base can be generated (see: 3.9.1.1 . Preparation of alarms definitions and alarms groups in Excel spreadsheet).

Current status and alarm history are stored in disk files. Alarm files are stored in “alarms” subdirectory of the start directory (if no other solution is declared). File alarms.act stores all active alarms. Alarms history is stored in set of files with names based on pattern: al??????.log. Each file stores the alarms for one day. Date of the day is coded as characters ??????, and give, in sequence, day, month and year. Alarms history files can be kept indefinitely. It is possible to limit the alarms storing period.

Most parameters related to configuration alarms is configured by Architect module in application parameter group à [image] Alarm system.


3.9.1. Determining the alarms definitions base creation mode

Alarm definitions in asix system can be generated in text files prepared by the designer or generated from spreadsheet.

Alarm definition base mode is declared in:

Databases module > Alarm definition base > Type tab

There is the possibility to add alarm definition base to Variable Definition Base. You have to set the Alarm definition base is generated from a spreadsheet/ Add alarm definitions base to variable definition base option on Type tab, and then go to Data sources tab and select Field/Fomputer that will identify the name of alarm server in the network for alarm definitions declared on Data sources tab.

Fig. Alarm definition base window – 'Type' tab.

Fig. Alarm definition base window – 'Data sources' tab.


3.9.1.1 Preparation of alarms definitions and alarms groups in Excel spreadsheet

In case when the data source necessary for generation of alarms definitions base is Excel sheet, the data must be saved in worksheets of XLS or XLSX format. The sheets can be created in Microsoft Excel (version 97, 2000, XP, 2003 and 2007) or Open Office (version 1.1.2 or later).

Alarms definition sheet must be named Alarms and include the following columns:

  • Number – unique alarm number;

  • Type – alarm type (SYSTEM, MESSAGE, WARNING, ALARM, IMPORTANT, IGNORED);

  • BeginningText – text displayed in the moment of alarm detection;

  • EndText – text displayed for finished alarms. If no such text is given, the same text as for alarm start will be used;

  • GroupId – max, 4-character identifier of the group, where alarm belongs to;

  • MaskName – name of suggested mask;

  • Printt – enabling or disabling (PRINT, NOT_PRINT) of line alarm printout.

Fig. Alarms definitions sheet.

Print column determines alarms, which will be printed, if the current alarm printing is declared.

Current alarm printing is determined by Alarm printout parameter:

Fields and computers module > Printout > Alarms printout tab: Headers and footers, Fonts, Options tab

If the Alarms printout parameter is declared without the printer name in the Printer field, the default system printer will be used. Printer parameter allows for individual selection of the printer dedicated for alarm printing.

Alarms groups definitions sheet must be named Groups and should contain the following columns:

  • GroupIdy – max. 4-character group identifier, used to identify groups in alarm definitions,

  • GroupDescription – custom text describing groups; the text will be displayed in the groups list in the alarms selection window; if no such text is given, the group identifier will be used in the selection list;

  • Print.- enabling or disabling (PRINT, NOT_PRINT) the line printout of alarms belonging to the given group.

Fig. Alarms groups definitions sheet.

To shorten the stage of preparing sheets with alarms definitions and alarms groups, Architect provides the function for generating template sheet containing all necessary sheets, sheet columns and exemplary alarm definitions:

Database module> Template tab > the generated file is by default named ‘AlarmsDefinitionsBaseTemplate.xls’

(Template tab is available only when the alarms definitions base mode: Alarms definitions base is generated from a spreadsheet is enabled)


3.9.1.2 Generating alarms definitions base from spreadsheet

Generation of alarms definitions base from spreadsheet is performed in the following steps:

1. Define the alarms definitions base work mode as Alarms definitions base is generated from a spreadsheet

Fig. Alarm definitions base > 'Type' tab.

2. Specify the data sources:

Alarmbase > Data sources tab > specified Excel files

Fig. Alarms definitions base > 'Data sources' tab

4. Select Generate [image] command.


3.9.2. Activating the alarms system work mode

Alarms/System type tab enables the configuration of the following parameters:

  • Locking the alarms system initiation – item allowing to lock the alarms system initiation;

Default value: alarms system is active

  • Work mode of alarms system – determines the alarms system work mode:

  • Operator mode – is the basic work mode of the alarms system, where all active alarms handling mechanisms (detection, acknowledgement, etc.) are enabled and the operation of network-connected stations is possible.

Operator stations collaborate only, when they have same alarms set name give. Alarms set is identified by 8-character name.

It is important that the system designer shall guarantee the compliance of all elements comprising the set. In case of alarms and alarms group definition files, the compliance of file names is sufficient (program automatically transfers the file contents, if any incompliance is found; the file writing time is checked). The alarms detection strategy parameters must be unconditionally compliant. This is due to the fact that only one machine within working operator stations group actively detects alarms and transfers it to other machines. As it is not determined, which station is active, all stations must be able to undertake the detection of all alarms.

  • Historical viewer mode – allows only for passive browsing of alarms collected from operator stations.

  • Local mode – is functionally identical to the operator mode except of lack of network services.

  • Historical server mode – from the operator’s point of view, it is identical to historical viewer mode. Additionally, an automatic updating of alarms archive from all detected operator stations is performed. The collected archives may be provided for other machines operating in historical viewer mode.

Default value: ‘Operator mode’, if the Network name of alarms set is declared; in other case, the default value is ‘Local mode’ operation.

Alarms/Network name tab enables the configuration of the following parameters:

  • Network name of alarms set – definition of the network name of alarms set supported by AS program. Name can have max. 8 characters. The set of available characters is the same as for file names. Network name is important for stations working in operator mode. Stations of the same name conduct a common, integrated alarm handling. Network name is also used on passive stations for identification of the alarm origination source.

Default value: no network name. Program can only work in (passive) historical viewer mode or local mode.

  • Dynamic resource name

Fig. Alarms system parameters window – 'Alarms/System type' tab.

Fig. Alarms system parameters window – 'Alarms/Network name' tab.


3.9.3. Declaring the alarms definitions files and alarms groups definitions files

Ability to declare files, which can be accessed for alarms definitions and alarm groups definitions is possible only, when Database module contains the declaration of database work mode with files:

Databases module > Alarm definition base > Work mode of alarms definitions base: Text files with alarms definitions are edited only by the developer

Alarm base tab

  • Names of files, where alarms are defined – the parameter allows to declare names of file, where alarms were defined; the names should be separated with commas;

Default value: alarms definitions will be read from ‘alarm.def’ file from the current application directory

Alarm base - groups tab

  • Names of files, where alarm groups are defined – the parameter allows to declare the names of files, where alarm groups were defined; the names should be separated with commas;

Default value: none

Fig. Alarms system parameters window – file settings1.

Fig. Alarms system parameters window – file settings2.


3.9.4. Parameterizing the alarms archive

Archive/ Hard Disc tab pertains to the following parameters:

  • Store alarms to disk files – item allows to block saving of alarms to disk files;

Default value: by default, alarms are stored in the disk files;

Lack of alarms stored to disk files option causes, that only the alarms kept in the computer's operating memory are available (by standard, 1000 items). Furthermore, the alarm history is lost when the machine is restarted.

  • Alarms archive directory – item used to determine directory, where the alarm log files will be saved;

Default value: by default, the files are created in subdirectory ‘Alarms’ in the application’s start directory;

  • Limitation of alarm files storage – item determines, for how many days the alarm files will be kept;

Default value: by default, the files are kept for indefinite period;

Indefinite storage of files will result in filling of the disk, i.e. the need of periodical deletion of old files. Additionally, big number of alarm files can slow down the alarm browsing function operation (especially with use of selection criteria).

  • Alarms archive backup directory – this item, when checked, toggles on the historical alarm log backup mechanism; AS program keeps the copies of log files in the give directory; updating is performed every hour; backup directory should (optimally) be located on other physical disk than the working log directory; it is also possible to use the portable disk drives;

Default value: by default, backup is not performed.

Historical log files stored in backup directory are not subject to the limitation imposed by item Limitation of alarm files storage.

These files are kept for an indefinite period.

  • Accuracy of time measure in alarm archive – setting the accuracy of time recording in alarm archives; alarm times can be kept with resolution of miliseconds or with system clock resolution (ca. 55 ms); usage of milisecond resolution additionally changes the time display format on the alarm masks; the use of this item is important, if non-standard alarm recognition strategies are applied, which mark the alarms with times of milisecond accuracy;

Default value: standard strategies operate with accuracy of 55 ms.

Changing the Accuracy of time measure in alarm archive requires the deletion of the old archive (for all connected stations at the same time).

Fig. Alarms system parameter window – 'Archive/Hard disc' tab.

Archive/ Microsoft SQL Server - the alarms can be stored in any number of databases on MS SQL server (archiving on the SQL server is performed independently of the archiving defined on the Hard disk tab). Alarms have to be stored in MS SQL database when you use the AsAlarm program.

Fig. Alarms system parameter window – 'Archive/Microsoft SQL Server' tab.

Archive/ Operating memory tab pertains to the following parameters:

  • Number of alarm events of the historical log stored in memory – the item defines the number of alarm events of the historical log, which are stored in memory; usage of this item may improve the access times for historical alarms; if operation without disk file log is selected, this item determines the total number of kept alarms;

Default value: by default, the number of alarms kept in memory is 1000.

Fig. Alarms system parameter window – 'Archive/Operating memory' tab.


3.9.5. Definition of alarms strategy

Except for alarms definition, it is also necessary to determine the alarm detection method. Strategies tab allows to declare one of the five alarm detection strategies available in asix system:

  • Bitmap strategy – consists in checking the status of bits in alarm bitmap created by the process controller software, this requires to declare Asmen data used for reading the alarm bitmap contents; number of alarms in the bitmap is derived from Asmen data size; if fewer bits are used, their number can be limited by means of third parameter Alarm count; the period of bitmap status check results from refresh time given in Asmen data definition;

Default value: by default, the strategy is not used

  • Limit strategy – the item causes, that the alarm recognition strategy based on limit excess sampling is installed; sampling period determines the cycle of limit sampling in seconds (default is 1 second); file list gives the names of files (separated with commas), where the limit descriptions were located; lack of list means that limits.def file from the current application directory will be used;

Default value: by default, the strategy is not used

  • Buffer strategy – enables the parameterization of buffer strategy in AS program by declaration of one or several items of the following syntax:

<buffer_variable>,<synchronizing_variable>,<alarms_variable>,<alarm_number>,

where:

<buffer_variable> - name of Asmen variable used for alarm information exchange; its size must be equal to controller buffer size;

<synchronizing_variable> - name of Asmen variable used for synchronization of buffer access;

<alarms_variable> - name of Asmen variable used by PC to issue the alarm bitmap read request;

<alarm_number> - determines the alarm number within asix system, assigned to the first alarm detected by the declared strategy.

Default value: by default, the strategy is not used

  • Active strategy (SINEC L2) – to use this strategy, it is required to apply a transmission protocol allowing for initiating transmission from the controller side and the special controller program sending the data according to the protocol adopted in the active strategy; the strategy requires the declaration of one or more items of the following syntax:

buffer,synchro,alarm_number,id

where:

buffer - name of variable used for data exchange,

synchro - name of synchronizing variable,

alarm_number - number of the first alarm handled by this strategy element,

id - identifier (of SINECL2 network, currently 1(SSNR =0) or 2 (SSNR =8)).

Default value: by default, the strategy is not used

To use this strategy, it is required to apply a transmission protocol allowing for initiating transmission from the controller side and the special controller program sending the data according to the protocol adopted in the active strategy.

  • OPC alarms server strategy – allows to declare the alarm recognition strategy, according to which the driver is located in external dll file; to declare the OPC alarm driver, the line of the following syntax must be used:

ALOPC.dll, , <server>, <file_al_opc>

where:

<server> - is the name of OPC alarm server;

<file_al_opc> - is the name of file with OPC conditions translation into asix system alarm.

Fig. Alarm system parameters window – 'Strategies/Bitmap' tab.


3.9.6. Definition of alarm format

The tab group Look is used to define the alarm displaying method:

  • Background color – determines:

  • Alarm table background,

  • Alternative alarm table background,

  • Separating lines;

Fig. Alarm system parameters window – 'Look / Background color' tab.

  • Alarm text color – depending on the alarm type, allows to define text color and background color for:

  • System alarm,

  • Message,

  • Warning,

  • Alarm,

  • Important alarm.

Fig. Alarm system parameters window – 'Look / Alarm text color tab.

  • Alarm date color – depending on the alarm status, allows to define the date text color and date background color for:

  • Beginning of alarm,

  • Beginning of acknowledged alarm,

  • End of alarm,

  • End of acknowledged alarm.

Fig. Alarm system parameters window – 'Look / Alarm date color' tab.

  • Selected alarms – allows to declare the background color for selected alarms;

Fig. Alarm system parameters window – 'Look /Selected alarms' tab.

  • Red Mode masks – defines the text color and background color for ‘Red Mode' masks;

Fig. Alarm system parameters window – 'Look / Red Mode masks' tab.

  • Options – allows to define additionally:

  • Use of 4-digit format of year number in dates on alarm masks and printouts;

  • Sort alarms on the list of current and historical alarms;

Fig. Alarm system parameters window – 'Look / Options' tab.


3.9.7. Parameterization of alarm signaling

3.9.7. Parameterization of alarm signalling

Signalling tab is used to parameterize the sounds, action that will be executed at the moment of alarm detection and to switch on the interface between AsAlert and the asix system application.

Sounds tab:

  • Sound signalling of alarm detection – allows to determine the method of sound signaling for alarm detection:

  • ‘ENABLED’ – means that alarms are always signaled;

  • ‘DISABLED’ – means that alarm signaling is disabled;

  • ‘MASTER’ – pertains to network installation; the given station generates sound signals only if it is the active side in the network;

Default value: ‘ENABLED’

The installation of sound card is required.

  • Alarm signal – name of WAV file - declaration of WAV files, which should be played at detection of alarm event of the given type;

Default value: by default, simple standard signals are generated;

  • Warning signal – name of WAV file - declaration of WAV files, which should be played at detection of alarm event of the given type;

Default value: by default, simple standard signals are generated;

  • Important signal – name of WAV file – declaration of WAV files, which should be played at detection of alarm event of the given type;

Default value: by default, simple standard signals are generated;

  • Long alarm – enabling the permanent playing of the signal after alarm detection. Signal will be disabled only when action SILENCE_SIGNAL is executed;

Default value: option disabled

Sound signals will be disabled due to use of Silence option, defined in Start parameters, on Control Panel tab.

Fig. Alarm system parameters - 'Signalling / Sounds' tab.

Action tab:

  • Action that shall be executed at the moment of alarm detection

Default value: none

It is impossible to differentiate action types for different alarm numbers.

Fig. Alarm system parameters - 'Signalling / Action' tab.

Alerts tab:

  • AsAlert - it option allows to swtich on the interface between AsAlert and the asix system application; the Edit command runs the configurator of that interface.

Default value: none

Fig. Alarm system parameters - 'Signalling / Alerts' tab.


3.9.8. Declaration of alarm handling authorizations

Security tab enables:

  • to declare password level, which needs to be give to allow specific operations:

  • authorization level required to perform the operation of change of filtered alarms,

  • authorization level required to perform the operation of change of alarms signaled with sound,

  • authorization level required to perform the operation of change of excluded alarms.

Default value: no control

The method of declaration of the login mode is discussed in chapter 3.11. Application security configuration.

  • Additionally, if option Lock of alarms handling by the operator is used, the operations of change of filters, exclusions and acknowledgement are blocked. It will be only possible to browse alarms;

Default value: handling is not blocked

Fig. Alarm system parameter window – 'Security' tab.


3.9.9. Declaration of buzzers map and exclude map

Maps tab allows to declare:

  • buzzers map; it is a declaration of bitmap areas used for parameterization of sound signaling executed by the controller, according to the following syntax:

data_name, number_of_the_first[,alarm count]

where:

data_name - gives the symbolic name of Asmen process variable, where the controller stores bit information on alarm signals (value 1 for the given alarm means that it generates buzzer or ring, depending on the map type);

number_of_the_first - it defines the number assigned to the first alarm in the map; number of alarms in the map results from Asmen data size; if fewer bits are used, their number can be limited with use of the third parameter;

Default value: by default, the signal maps are not handled;

Fig. Alarm system parameters window – 'Maps / Buzzers' tab.

  • bells map; is declared in the same way that buzzers map.

Fig. Alarm system parameters window – 'Maps / Bells' tab.

  • exclude map; is the declaration of bitmap, which controls the exclusion of alarms executed by the controller, according to the following syntax:

data_name, number_of_the_first[,alarm count]

where:

data_name - gives the symbolic name of Asmen variable, where the controller stores bit information on excluded alarms (value 1 for the given alarm means that the alarm is excluded);

number_of_the_first - it defines the number assigned to the first alarm in the map; number of alarms in the map results from Asmen data size; if fewer bits are used, their number can be limited with use of the third parameter;

Default value: by default, the exclusions are performed only internally in the machine.

Use of this item results in disabling of the internal exclusion and filter control mechanism.

Fig. Alarm system parameters window – 'Maps / Exclude' tab.


3.9.10. Advanced parameters

Advanced tab appears after selecting command View / Show advanced options from Architect module window menu.

Advanced tab includes the configuration of the following parameters:

  • Disable display of excluded alarms – application of the mode consisting in disabling display of excluded alarms; however, such alarms are registered and saved to log - where all registered events can be viewed after the exclusion is lifted;

Default value: excluded alarms are displayed

  • Filter method – selecting the alarm filtering method; it is possible to filter short alarms appearing for time shorter than declared (method no. 1) or fast sequences alarm appearance- disappearance – alarm appearance (method no. 2);

Default value: 1

  • Active station – additional parameterization for stations working in the network in operation mode; in the group of interconnected operator stations, at each time there is only one machine, which detects alarms; disabling this option will mean that the given computer will never become an active station; it is applied in locations, where there exists no direct link to controllers or on supervisory stations with required access to active alarms;

Default value: station may be active

  • Network names of computers being historical alarm servers – open declaration of operator stations being the alarm servers;

Default value: no declared stations

Parameter pertains to application configuration files for machines operating with control alarm system; the longer is the search time, the bigger probability of finding the requested servers.

  • Network names of computers of historical alarm servers operating as a gateway in the network – open declaration of historical alarms server ; used for declaration of machines working in historical alarms server mode as the gateway stations;

Default value: no declared station

Item pertains to application configuration file for machines working with control alarms system. The longer is the search time, the bigger probability of finding the requested servers.

Fig. Alarm system parameters window – 'Advanced' tab.


3.10. Configuration of network module

Parameter group [image] Network module covers Aslink module operation settings.

ASLINK is a module allowing other asix system components for communication through the local computer network. Aslink defines the set of network services, which are used by all other asix system programs parameterized for network operation.

For its operation, Aslink utilizes the services provided by NETBIOS emulator, i.e. program implementing one of the most common network interfaces in the transport layer. NETBIOS specification was developed by IBM; ASLINK is based on NETBIOS specification in version 3.0 contained in IBM Local Area Network Technical Reference (IBM Part Number SC30-3587-00). The basis for Aslink operation are NETBIOS connection services for (in other words: session-based) data transfer.

The basic service provided for other asix package components, such as Asmen, Aspad or alarm handling subsystem – is the reliable data transfer between each pair of utility processes operating on any stations connected to the computer network and executing a common utility protocol. In this scope, Aslink module services are directed for supporting the communication based on “server” process and “client” process, utilizing its services.

In particular, Aslink provides:

  • searching the network for processes fulfilling the server roles in relation to resources necessary for client processes,

  • establishing of the connection (i.e. transmission channel) between the client and the indicated resource server,

  • bidirectional, reliable data transfer in each channel,

  • notifying the processes that the channel was closed as an effect of network failure or by an open command of one of the partners.

Detailed description of Aslink module functionality is contained in “Asix – user manual” in ASLINK – network module chapter.

All the setting of network module are stored in XML application configuration file. If there is no asix application on the computer, but there are: AsixConnect, AsTrend or any other application based on the asix application data - the network settings for the computer are stored in aslink.ini file. The aslink.ini file editor is run by the Network Module - Options for Servers command from the Tool menu of Architect - the editor configures all the same options that are set in the [image] Network module.


3.10.1. Computer name

Computer name tab allows to specify:

  • Automatic setting of network names of computers;

  • Network name of computer: default Windows name with dot at the end of name, custom name or '*' value used when the application is running under the Windows Server Terminal Services.

Fig. Network module parameters - 'Computer name' tab.


3.10.2. TCP/IP communication

TCP/IP communication allows to declare the following parameters:

  • Connections using TCP/IP protocol - you should enter here the names of Windows system or IP address of all the computers to which the network module should connect; names should be separated by commas;

  • TCP/IP port no

  • Don't use TCP/IP

Fig. Network module parameters - 'TCP/IP communication' tab.


3.10.3. NetBIOS communication

NetBIOS communication includes the following parameters:

Network protocols tab:

  • Used network cards and protocols:

  • All network cards and TCP/IP protocol;

  • Selected network cards and protocols.

Default value: All network cards and TCP/IP protocol

  • Network cards and protocols used by network module to search for servers:

  • All network cards and TCP/IP protocol;

  • Selected network cards and protocols.

Default value: All network cards and TCP/IP protocol

  • Don't use NetBIOS communication

Fig. Network module parameters - 'NetBIOS communication / Network protocols' tab.

Advanced tab:

Advanced tab appears after selecting command View / Show advanced options from Architect module window menu.

  • Group name – defines the name of group, where the station belongs to;

Default value: default name is: ‘ASIX’

Allowed values: text of max. 15 characters. Character size matters. Name cannot include character „*”.

  • Session connections – the parameter value is the list of remote station names, with which the connections will be established. Specific names are separated with commas. If the configuration file of the remote station does not include the station name definition, the station name defined in the network settings of the operating system should be given.

Default value: none

  1. Connections with stations from outside of the list will not be established.

  2. Parameter can be used in ASLINK module in version 5.4.0 or newer.

  3. If the parameter is set, datagrams will not be handled and on adapters, where the session connections will be established, time will not be synchronized.

  4. Session connections will be established on adapters specified by Network protocols parameter.

  5. Usage of this parameter will result in lack of communication with ASLINK modules in version 4.

  • Aslink4 – enables communication with stations controlled by network module in version earlier than 5.00.000; toggle this option on to increase the network load, even if the network does not include stations operating under control of the older network module versions;

Default value: option is disabled

  • Aslink domain / Enable communication of stations located in different networks connected via router – give value Yes, if the connections between stations located in different networks connected via router should be executed. (Only for NetBIOS over TCP/IP protocol – NetBt).

Default value: option is disabled

Fig. Network module parameters - 'NetBIOS communication / Advanced' tab.

Time synchronization tab:

Time synchronization tab appears after selecting command View / Show advanced options from Architect module window menu.

Client

  • Time synchronization and Time synchronization limitation – items allows to declare lack of time synchronization or force the synchronization with selected time servers;

Default value: time is synchronized with all available time servers

  • Synchronization conditions allow to determine:

  • Maximal time difference - difference between server time and time of local station, which, if exceeded, will cause the synchronization of local time (CMOS); value in seconds;

Default value: 4 seconds

  • Time packets count - number of successive time packets, which station has to receive from single server to synchronize its clock;

Default value: 3

  • Ignored time packets - number of time packets, that are omitted after each running of network module on each adapter;

Default value: 2

  • Long time difference determines:

difference (time in miliseconds) between time server time and local station time, which, if exceeded, will result in special treatment of received time packets, consisting in delayed synchronization of local station time;

Default value: 3600 miliseconds

number of packets (counter), which, if received, force the time synchronization;

Default value: 2

  • Time packets replication – toggling this option on causes that the all time packets received from the given adapter will be sent to other adapters; additionally it is possible to determine the number of allowed time packets.

Default value: time replication is toggled off

  • Time change limit – maximal single time change

Default value: 0 m

Fig. Network module parameters - 'NetBIOS communication / Time synchronization / Client' tab.

Server

  • Time server – defines, whether the station will operate as time server (i.e. whether it will broadcast the current time data in the network):

The station never acts as time server,

The station always acts as time server – even if the higher priority time server is active in the network,

The station acts as time server only if it has the highest priority;

Default value: the station acts as time server only if it has the highest priority

  • Server priority – defines the station priority as time server; the bigger the value, the higher the priority (0 – 32,768). Priority value is given together with current time in synchronization packets (BROADCAST). If a time server active at the given moment receives a packet with higher priority, it ceases to be the active time server.

Default value: 0

  • Time interval of broadcast of packets containing the current time – determines the time interval (in seconds), with which the packets with current station time will be broadcastet to the network.

Default value: 0

  • Maximal time interval of broadcast of packets containing the current time – value in seconds

Default value: 60 seconds

  • Condition for time server activation – station will become the time server, where the existing time server will not provide the user-defined number of subsequent synchronization packets;

Default value: 5

  • Time packets replication – determines the number of allowed time packet replications; maximum number of subsequent stations, which may be included in the time packet route. The parameter is valid only on the station being the time server.

Default value: 2

Fig. Network module parameters - 'NetBIOS communication / Time synchronization / Server' tab.

Diagnostics - AslView tab:

Diagnostics - AslView tab appears after selecting command View / Show advanced options from Architect module window menu.

Diagnostics – AslView tab pertains to configuration of diagnostic information passed to AslView programs connected to the network module:

  • History – defines:

Maximal number of records in history of network module connections;

Default value: 0;

Maximal number of record in history of time changes;

Default value: 50;

Maximal number of records in history of client/server connections;

Default value: 300;

  • Changes lock - parameter defines the authorizations related to change of parameters from the level of AslView program:

Enable change of parameters from AslView application;

Disable change of parameters from AslView application;

Block with password change of parameters from AslView application;

Password - parameter defines the password to be entered by AslView application user, who wishes to perform actions resulting in significant changes in network module operation.

Default value: it is not allowed to change parameters from the level of AslView application.

Parameter Log-in validity period defined in Security module is binding here

Fig. Network module parameters - 'NetBIOS communication / Diagnostics - AslView' tab.


3.10.4. Advanced parameters

Advanced tab appears after selecting command View / Show advanced options from Architect module window menu.

  • Network names of computers filtering – defining the text filter, which shall govern the remote station namesl stations with names incompliant with the filter will not be visible; name can include characters ? and * (only at the end); to give names of several stations, separate them with commas;

Default value: none (all stations are visible)

  • Send timeout – maximum duration of sending operation; a unit is a time of 500ms;

Default value: 30 (15 seconds)

  • Receive timeout – maximum duration of receiving operation; a unit is a time of 500ms;

Default value: 30 (15 seconds)

  • Keep alive – time after which the pasket checking the connection state in the local network will be posted;

Default value: 5 seconds

  • Keep alive WAN – time after which the packet checking the connection state in the wide area network will be posted;

Default value: 60 seconds

  • Local links / Enable connections between clients and servers located on the same station – it is possible to establish connections between clients and servers located on the same station without use of the network software.

Default value: option is enabled

Fig. Network module parameters - 'Advansed' tab


3.10.5. Diagnostic parameters

Diagnostic tab appears after selecting command View / Show advanced options from Architect module window menu.

Fig. Network module parameters window – Diagnostics tab.

Diagnostics tab includes parameters controlling the diagnostic information fed by Aslink module:

  • Log file – defines the name of file, where the diagnostic information and maximum file size (KB) will be stored;

Default value: file named ‘aslink.log’ of maximum size of : 500,000 KB

  • Store information about… – allows to declare the type of information to be stored in the log file; it is possible to declare storing of information about:

  • Received packets,

  • Sent packets,

  • CALLBACK calls,

  • API function calls,

  • Data from organizational packets,

  • Data packets,

  • Data from data packets,

  • Broadcasted time packets,

  • NetBios NBC operations

Default value: no information type is declared

  • Data size – defines the maximum length of the data part of network packets, which will be stored in log file;

Default value: 10 B.


3.11. Application security configuration

Parameter group [image] Security includes an activation of dynamic system security measures, definition of level passwords, and in case of usage of login system – definition of users and locking commands, which may change the application status.

System security mechanisms allow for easy securing of access to potentially dangerous functions of the operating system, which – if used by the operator in an unskilled or irresponsible manner – could result in system damage. At the same time, security mechanisms allow asix system to operate on the Windows user account with large privileges, which facilitates the maintenance and management of the operating system. The dynamic security mechanism is integrated with asix system and toggles the security functions on and off, depending on the application’s access control configuration.

The set of dynamically switched security measures includes the following mechanisms:

- locking access to the task manager (Ctrl+Alt+Del keys);

- hiding and locking the taskbar;

- locking the keys opening start menu (Ctrl+Esc and Windows keys);

- locking the displaying of HLP help files.

The method of security mechanism switching depends on application’s access control configuration. Two variants are possible:

- application user system (login system) is active; then, the dynamic security mechanisms are toggled on only when the operator with administrator rights is logged in;

- only the level passwords system is active; dynamic security mechanisms are toggled on, only when level 4 password is active.

In case of usage of level passwords system, there are four levels of authorizations necessary for execution of operator actions and process control operations.

The login system allows to define a custom number of users. Each of the users possesses a password for one of the five authorization levels.

Detailed description of security mechanisms used in asix system (including the usage of level passwords system and user login mode) can be found in “Asix – user manual” in chapter Designer – designing the application.


3.11.1. Activating the dynamic security mechanism. Definition of level password mode

Policies tab allows to define the following parameters:

  • System policies – allows to activate the dynamic system security mechanism; w hen the application user system is active – the dynamic policies are switched on only when an operator with administrator privileges is logged in; if the level password system is active – dynamic policies are toggled on only when the level 4 password is active;

Default value: system policies are disabled

  • Work mode of policies system:

  • User mode.

  • Level passwords mode;

Default value: ‘User mode’

Fig. Security parameters - 'Policies' tab.


3.11.2. Parameterization of login system

User mode tab – active only then the policies system work mode is set to User mode, allows to define:

  • Default user id – the user is automatically logged in (without request for password) during the asix system application start-up;

Default value: no declared default user

  • Login validity period – determines the login validity period; after the expiry of the defined time, user is logged of or the system switches to the default user;

Default value: 0, i.e. login validity time is indefinite – until the application is switched off

  • List of defined users – allows to create application users items including: user id, name, password and authorization level;

Default value: there is no list of defined users, i.e. it is impossible to log into asix and to perform operations protected by a specific security level

User declarations are kept in external ‘Users.ini’ file, located in the application root directory.

Fig. Security parameters - 'Users mode' tab.


3.11.3. Parameterization of level passwords system

Level passwords mode tab- active if the policies system work mode is set to Level passwords mode, allows to define:

  • Log-in vailidity period – determines the time (in minutes), for which the set password remains valid;

Default value: 15 minutes

  • List of defined level passwords – includes items, where the passwords for specific levels are saved.

Default value: passwords are not defined, which means lack of control on the given level (if the level passwords mode was declared)

Level passwords are stored in external ‘Passwords.ini’ file, located in the application’s root directory.

Fig. Security parameters - 'Users mode' tab.


3.11.4. Parameterization of locks

Locks tab allows to lock the selected elements related to application handling:

  • Change lock – enables blocking all commands, which may result in change of application status in a manner unplanned by the designer: locking the Designer module, locking reports editing, locking trend editing and locking the ability to open masks from the level of control panel with use of MASKS.OPEN command;

Default value: by default, the lock is disabled

  • Exit lock includes the following variants:

  • Allow users to close the application;

  • Don’t allow users to close the application;

  • Secure closing the application – with a password or authorization level:

  • Password or authorization level – if User mode is applied, and application access is locked with a password, parameter Login validity time defined on User mode tab becomes valid;

Default value: by default, the exit command is available without any limitations

Lock pertains only to exiting through closing of Designer window or Control Panel. An alternative exit method is also available - with use of operator action END.

  • Designer lock includes the following variants:

  • Allow users to switch to designer mode;

  • Don’t allow users to switch to designer mode;

  • Secure switching to designer mode – with password of authorization level:

  • Password or authorization level – if User mode is applied, and access to designer mode is locked with a password, parameter Login validity time defined on User mode tab becomes valid;

Default value: by default, designer mode is available without any limitations

  • Control lock – allows to block the execution of control operations in the application; it is used on remote stations;

Default value: by default, the controls are not locked

Using the control lock does not interfere with operation of CALCULATOR class objects; even though they are performing controls.

Fig. Security parameters - 'Locks' tab.


3.12. Printout parameter configuration

Group [image] Printout – is a place, where user is able to declare the layout of printouts – including the alarm printouts.


3.12.1. Declaration of printing permission. Declaration of color changes performed during masks

Printing tab allows to declare the use of printer and to define the color changes executed during dumps of masks or screen:

  • Printing permission – item deciding whether the program will execute printouts; all printers available in the system are accessible; if some operation does not allow for individual printer selection, the default system printer is used;

Default value: by default, the printouts are executed;

  • Color change – item allows to define the color changes executed during performing dumps of masks or screens;

how to record the color change method:

r, g, b, zr, zg, zb, e.g.: 0,0,0,255,255,255 changes black into white,

parameters r, g, b (decimal numbers determining RGB components) define the color, which should be changed on the printout to color zr, zg, zb.

Default value: no declaration

Fig. Printout parameter window – Printing tab.


3.12.2. Declaration of screen printout

Screen printout tab allows to determine the following parameters:

  • Automatic dump:

  • Ask before execution of screen dump;

  • Don’t ask before execution of screen dump;

  • Don’t ask before execution of screen dump and don’t show message after it is done;

Default value: by default, prior to each screen dump, a dialog box is opened used to determine the screen dump parameters

  • Dump parameters – item determining the screen dump parameters:

  • Dump lock – locking the screen dump;

  • Window – check this option to dump the active window;

  • Screen – check this option to dump the entire screen;

  • BMP file – check this option to dump to BMP file;

  • Printer – check this option to print in the selected printer format;

Default value: by default, the entire screen is dumped to BMP file format;

Determined parameters may be modified by the operator, unless Automatic dump option is used.

  • Screen dump direcotry

Fig. Printout parameters - 'Screen printout' tab.


3.12.3. Declaration of font parameters and header and footer parameters

Printout tab defines the following parameters:

  • Headers and footers tab:

  • Application name – text displayed in the header and footer line of the created printouts;

  • Header – determines the header text for all types of printouts (except on-line alarms – for which the header text is defined on Alarms printing tab);

Default value: if the user does not declare its own header text, by default, the text defined by control character: &w | | ASIX will be used.

  • Footer – defines the footer text for all types of printouts (except on-line alarms – for which the footer text is defined in Alarms listing footer on Alarms printing tab);

Default value: footer is defined with control characters &D &T|&p|&c ; control characters described in Header item are also allowed.

  • Margins – allows to set margins for printouts, the item pertains to all printers and most printouts (except for trends printout and printouts made in text mode); margin unit is 1/10 mm;

Default value: all margins equal 0;

Fig. Printout parameter window – 'Printout / Headers and footers' tab.

Fonts tab includes the font definitions used in the created printouts (mask dumps):

  • Font – definition of font for text information printing; value given in tenth parts of millimeter; value 0 is automatic scaling to page width;

Default value: Courier New,0;

  • Header font – definition of font for header printing; height given in tenth parts of millimeter; value 0 is automatic scaling to page width;

Default value: Times New Roman,30;

  • Footer font – definition of font for footer printing; height given in tenth parts of millimeter; value 0 is automatic scaling to page width;

Default value: Times New Roman,30.

Set of available control characters used in header and footer declaration is presented in Appendix 4.

Fig. Printout parameter window – 'Printout / Fonts' tab.


3.12.4. Declaration of report printing

Report printing tab allows to declare:

  • Report header – defines the header text to be added to the report printout;

Default value: by default, the text defined in item Header in Printout tab is used.

  • Report footer – defines the footer text to be added to the report printout;

Default value: by default, the text defined in item Footer in Printout tab is used.

  • Settings / Reports in text mode – as a standard, reports are performed in graphical mode. If the option is used, the font controlling sequences placed in the report contents and used in earlier reports cease to function. Enabling the text mode results in printing reports in a manner compatible with AS program version earlier than 2.59;

Default value: printout in graphical mode

Set of available control characters used in header and footer declaration is presented in Appendix 4.


3.12.5. Declaration of alarms printing

Alarms printing tab contains parameters defining the format for historical and active alarms printing:

Header and footer tab:

  • Historical alarms header – defines the header text for historical alarms printouts;

Default value: by default, the text in Header item (Printout tab) is printed;

  • Active alarms header – defines the header text for active alarms printouts;

Default value: by default, the text in Header item (Printout tab) is printed;

  • Historical alarms footer – defines the footer text for historical alarms printouts;

Default value: by default, the text in Footer item (Printout tab) is printed;

  • Active alarms footer – defines the footer text for active alarms printouts;

Default value: by default, the text in Footer item (Printout tab) is printed

  • Alarms listing header – defines the header text used for active alarms printout in the graphical mode;

Default value: by default, the following text is printed: alarm events listing| |

  • Alarms listing footer – defines the footer text used for active alarms printout in the graphical mode;

Default value: by default, the text defined with the following control characters is printed:

&D &T|&p|&c

Set of available control characters used in header and footer declaration is presented in Appendix 4.

Fig. Printout parameter window – 'Alarm printing / Headers and footers' tab.

Fonts – Alarms tab contains the definitions of fonts used for alarm printing:

  • Alarms font – defines fonts for printing alarms in graphical mode; height given in tenth parts of millimeter; value 0 means automatic scaling to page width;

Default value: Courier New,0;

  • Alarms header font – defines fonts used in alarm printout headers; height given in tenth parts of millimeter; value 0 means automatic scaling to page width;

Default value: if the parameter is not set, the setting from item Header font (Fonts tab) is valid;

  • Alarms footer font – defines fonts used in alarm printout footers; height given in tenth parts of millimeter; value 0 means automatic scaling to page width;

Default value: if the parameter is not set, the setting from item Footer font (Fonts tab) is valid.

Fig. Printout parameters window – 'Alarms printing / Fonts' tab.

Option tab allows to define:

  • Alarm text length – determines the number of characters used for alarm text printing; as a standard, the length is calculated to approx. 90 characters, so as the entire printout line does not exceed 120 characters;

  • Alarms printout formats:

  • Alarm line format – determines the number and sequence of information printing; it is a character string made up of letters defining the field types – characters defining the alarm line format is contained in Appendix 5;

  • System alarm line format – item allowing to define the format used for printing system alarms; characters used for format definition are described in item Alarm line format;

Default value: the default format is the format given in Alarm line format line;

  • Settings:

  • Print system events– specifies whether the system events should be printed;

Default value: by default the system events are printed

  • Immediate alarm listing – item determines the current alarm printout mode; immediate listing is a text printout identical to the mode used in AS program mode older than 2.59; alarm lines are printed one by one, in the moment of event occurrence (however, printer can internally buffer the text and print the page only when its full); in the graphical printing mode, first a full alarm page is gathered and only then the printing is performed; printout header and footer are added;

Default value: current alarms printouts are by default performed in the graphical mode;

  • Date separator on historical alarms listing – determines whether the historical alarms printout should include lines signaling the alarms change date;

Default value: by default, the parameter is not used;

  • Alarms printing – item enabling immediate alarm printing;

  • Print on default printer – usage of the first form item is printing on the default system printer;

  • Don’t print alarms;

  • Print on selected printer – allows to specify any printer installed in the computer.

Default value: print on default printer

F ig. Printout parameters window – 'Alarms printing / Options' tab.


3.12.6. Special characters controlling the printout format

Info tab includes the statement of control characters used for definition of header and footer contents for created printouts (mask dumps) and list of letters defining the number and order of information printing on the alarms printout.

List of characters controlling the layout of headers and footers is contained in Appendix 4.

List of characters controlling the alarms line format is contained in Appendix 5.


3.13. Declaration of report definition handling

Module [image] Reports includes configuration parameters for reporting module. It concerns the reports prepared in ASTEL/ASTER language or script reports (see: "Asix - user's manual", chapter about reports).

Fig. Report parameter window – 'Report' tab.

Reports tab includes the following configuration parameters:

  • Edit lock – item locking the ability to correct report definitions in the application runtime mode; it may be recommended to unlock editing for deployment stage (then it is not necessary to switch to Designer module);

Default value: by default, the parameter is disabled, which means that it is possible to change reports in the application runtime mode

  • Scale lock – use the parameter to block the reports window size;

Default value: by default, the operator may freely change the report window size;

  • Directory containing files with report definitions

Default value: by default, the reports definitions files are located in the application’s current directory

  • Maximal number of days by which one can go back while calculating report – gives the time period, measured backwards from the current moment (in days), by which one can maximally go back during report calculation; if non-positive period or period bigger than 366 days is given, the default 366 days is assumed;

Default value: 0 days

The item allows to save some operating memory used for running of reporting module. Limiting the allowed period may enable calculating reports in situation, when normally the reporting module would not start due to insufficient memory.


3.13.1. Declaration of script reports files

Script reports tab includes:

  • Files of script reports – allows to declare the use of script reports according to the following syntax:

report_name, report_code_file_name [, output_file_name, report_parameters]

where:

report_name - parameter is a custom text describing the report; this name will be displayed in the report list in Reporter window and will be used to run the report with use of operator actions;

report_code_file_name - parameter is used to give file name with report code; it is possible to give full path to file or only a file name with extension; in second case, report file will be searched in directory given in directory indicated in item Directory with report definitions files and mask path directory;

output_file_name - parameter is used to give the basic name of files, where the generated reports will be stored; names of output files are created only through adding an extension depending on the report creation data to the basic name; parameter output_file_name should be used only, when on the basis of the same code file, there will be different reports types created (see description of report_parameters item); if the parameter is ignored or character * is inputted, the report output files names will be created on the basis of report code file name;

parametry_raportu - parameter allows to create parameterized report code files; parameter content is fully passed to the script when it is launched and can be used to control the script operation; bear in mind, that if the same report code file is used in many SCRIPT items, give a unique output file name in each item.

The report parameters may include scripter execution parameters (for more information on script declaration, see “Scripts – user manual” - file Skrypty.hlp or Skrypty.pdf):

//S - in the given moment, only one script with parameter //S, included in the given file can run; parameter is important only when script is launched as asix operator action; scripting module will reject the next attempt of script launch in situation, when the previous script instance with parameter //S included in the same file is not completed yet; if the parameter is missing, it is possible to launch at the same time multiple scripts based on program included in the same file;

//X - when the script is launched, a debugger (installed in the system as the default one) is also started; debugger stops the script execution on the first script instruction;

//D - if error in script is found, debugger will be started;

//IT:nnn - limitation of initialization part execution time, expressed in milliseconds;

//T:nnn - limitation of event part execution time, expressed in milliseconds;

//E:name - gives the script language name (e.g. //E:JScript);

//Thread:name[,pri] - gives the thread name, where the script is executed and defines pri priority of the thread; thread name can be custom and is used to group the scripts executed in one thread; script thread priorities:

0 IDLE

1 LOWEST

2 BELOW_NORMAL

3 NORMAL - (default),

4 ABOVE_NORMAL,

5 HIGHEST,

6 TIME_CRITICAL;

default thread priority is priority 3 (normal);

//U - if this parameter is given, “OnRead” events and temporal event functions defined by SetInterval and ExecuteAt methods will not be generated, if asix application windows are hidden (e.g. with use of HIDE operator action).

Executive parameters are given in convention of cscript program, i.e. they are preceded with double slash.


3.13.2. List of operators

  • List of operators allows to declare names of operators that will appear in report window.


3.14. Configuration of script and action parameters

3.14. Configuration of action and schedulers parameters

Group [image] Action and Schedulers includes parameters related with:

  • declaration of action sets;

  • configuration of scheduler;

Detailed information on action and schedulers one can find in "Asix - user's manual" (asix.hlp or asix.pdf).


3.14.3. Declaration of action sets

3.14.1. Declaration of action sets

Action sets time allows to define for an application an action set, being the sequence of custom operator actions, assigned to one operator actions. It is also possible to import action set declared in *.ACT file (from old versions of asix) and export action sets into *.XLS file.

Fig. Scripts and actions parameters window – 'Action sets' tab.


3.14.2. Declaration of action time/event scheduler

Scheduler tab allows to define scheduler actions launched on the basis of time conditions or in response to the change of the selected process variable value.

The meaning of fields in Term area is as follows:

  • Time of execution – field used to determine time (with accuracy of one minute), when the action should be executed;

  • Confirmation – check this checkbox to determine that prior to the action, the system should request the operator for confirmation,

  • Day of execution – field used to give the number of day in the month, when the action should be executed; value Daily enables daily execution of the action.

  • Action – content of action, which should be executed;

The meaning of fields in Event area is as follows:

  • Variable name – name of process variable, whose value is the condition of action execution;

  • Condition – drop-down list used to determine the type of checked condition; there are 4 types of conditions available:

= - variable equal to the given value,

> - variable bigger than the limitation,

< - variable smaller than the given value,

& - logical multiplication of the variable and the given value,

  • Value – number used for comparison with the monitored process variable value; it is a decimal integer number or a floating point number - the program automatically reconciles the data types for variable and value; it is not possible to use condition of "&" type for floating point data.

  • Confirmation - check this checkbox to determine that prior to the action, the system should request the operator for confirmation

  • Action - content of action, which should be executed;

Fig. Parameters of actions and schedulers - 'Time scheduler' tab.

Fig. Parameters of actions and schedulers - 'Event scheduler' tab.


3.15. Miscellaneous parameters group

Group [image] Miscellaneous parameters contains parameters not classified to other groups. These are the following parameter categories:

- Application,

- Script parameters,

- Calculator,

- Directly entered options.


3.15.1. Declaration of application resolution and work directory for screen dumps

Application tab allows to declare the following parameters:

  • Application resolution – screen resolution in pixels used by the application; usage of this item means that in case of work in screen resolution bigger than the one given in this item; point of opening of masks and other elements will be moved, so as the application works in center of the screen;

Default value: if the value is not declared, the application window will appear in the upper left screen corner with resolution bigger than the one, in which the application was executed

  • Work directory – parameter allows to define application’s work directory; work directory is used, among others, as a place for storing screen dumps;

Default value: if the item is left unused, the directory active in the moment of application start will be used as the work directory.

Fig. Miscellaneous parameters - 'Application' tab.


3.15.2. Script parameters

Script parameters tab allows to define:

  • Log file - parameter determines the file name, where the diagnostic information will be stored;

Default value: if the parameter is not given, the log file will not be created

  • Debugger settings - parameter determines the scope of cooperation between scripting module and script debugger

  • Run scripts without debugger – if this option is selected, debugger will be never started; in case of script timeout or error, AS program panel will be fed with error information with line number and character given; executive parameters //X and //D given in the script declaration are irrelevant, if option Run scripts without debugger is checked;

  • Run scripts with debugger – option allows to run scripts under control of the debugger;

  • Run scripts and start debugger at the moment when script module is initialized;

Default value: Run scripts without debugger

Parameter Debugger settings is valid only when Windows operating system includes a proper script debugger installed.

  • Event timeout – parameter determines the maximum time of event handling by the script. If the parameter value is 0, the event handling time is not limited. The unit is time expressed in milliseconds.

Default value: 5000 milliseconds

  • Initialization timeout - parameter determines the maximum time of initialization part handling of the script. If the parameter value is 0, the initialization handling time is not limited. The unit is time expressed in milliseconds.

Default value: 15000 milliseconds

  • Automatic reload on error

Fig. Miscellaneous parameters - 'Script parameters' tab.


3.15.3. Calculator parameters

Calculator tab includes the following parameters:

  • Timeout – maximum time (in seconds) for calculation of CALCULATOR and EXPRESSION objects;

Default value: 30 seconds

  • Overloads – item allows to lock the diagnostic messages informing about overloads in CALCULATOR and EXPRESSION objects;

Default value: default messages are generated;

Fig. Miscellaneous parameters - 'Calculator' tab.


3.15.4. Declaration of parameters entered directly

Directly entered options tab allows to declare for the given application some items, which cannot be edited with support from Architect - i.e. these are items used in older asix versions or brand new item.

Fig. Miscellaneous parameters - 'Directly entered options' tab.


3.16. Operator action

Detailed information on operator action you can find in "Asix - user's manual" (asix.hlp or asix.pdf).

Designing the operator actions for the asix application usage is very easy when you take advantage of Action editor. It is a very usefull tool activated after clicking the right mouse button in edition field for entering action definition. You can also run the editor form the Actions and Schedulers item, from scheduler tabs. The editor includes detailed descriptions of all actions (and theirs parameters) used in asix system application.

Fig. Action editor window.


3.16. Configuring multilingual application

3.17. Configuring multilingual application

The multilingual application system allows to switch the application operation language at the request of the operator. All texts inputted by the designer in stage of application creation are subject to change.

To parameterize the application for operation in several languages, perform the following steps:

1. The first step is to set the declared languages parameters:

    Masks > Languages tab:

    pl, Polish, EastEurope

    en, English, EastEurope

    The order of entered languages is important – the first language is the primary (default) language.

2. Then create the list of text used in the application. This is facilitated with Table of Translation mechanism, which is used for translation of texts entered by the operator during the application definition. This pertains mostly to texts from objects located on visualization masks.

    The mechanism is started, when file TranslateTable.Lng is placed in the application start directory. This is the text file, where all lines are multilingual texts.

    The basic Table of Translation can be generated automatically with use of TRANSLATION_FILE function from TOOLS menu of Designer window.

    When the categories of generated information are selected, use Generate button to save all found texts in TranslateTable.Tlt file. If file TranslateTable.Lng existed previously, all included translations will be transferred to the generated file.

    Designer shall supplement the missing translations directly in TranslateTable.Lng file or supplement TranslateTable.Tlt file and rename it to TranslateTable.Lng.

    After generating the translation table, supplement the entries according to the following example:

    [pl]polish text[en]english text

    It is possible to edit texts by means of Architect module editor:

    Masks > Languages tab> Table of translation, Edit button

3. If application acquires descriptions from variable definitions base, certain modification should be introduced there. In XLS file, next to Description column in each sheet, create columns with names in appropriate languages (in which the application is supposed to run), where the counterparts of descriptions located in Description column should be located.

    In case of source archive for generation of alarms definitions base Alarms, the description is located in one column according to the record: [pl]polish text[en]english text.

4. The translation of multilingual application texts can be performed also with use of Table of Texts mechanism, which is used for translation of texts, which are displayed within application elements and are not given openly by the designer (they are embedded into program code). Mechanisms is started, when TextTable.Lng file is located in the application start directory.

Table of Texts file is a text file, where each line is a multilingual text determining the translations of texts.

Asix package also includes TextTable.Tlt file, containing complete table of texts for Polish and English language. Designer should copy this file to application directory with name TextTable.Lng, and then supplement the multilingual texts with variant definitions for other used application languages.

The rule of functioning of the Table of Texts consists in searching the translation for program-embedded text among all defined multilingual texts.

Text editing can be also performed with use of Architect module editor:

Masks > Languages tab > Table of texts, Edit button


3.18. Running the application

How to make a shortcut icon launching the asix system application?:

  1. In the Architect module window, open the application’s XML file and from the menu bar select command Tools > Shortcut creator…

  2. Determine the shortcut type (Shortcut to Asix), station name – for station, whose application you want to run, shortcut name, shortcut location (Desktop or Selected directory) and press Create button.

  3. The application may be now launched by means of shortcut, e.g. from the desktop.

The application may be also launched during Architect module operation with use of Run Asix system command from File menu. XML configuration file is launched, and the parameters declared for the given parameter are used.

Shortcut creator… also allows to make shortcuts for Architect and AsTrend programs.

Fig. Shortcut creator window.


3.19. AsPortal application configurator

AsPortal application configurator, embedded into Architect program, enables an easy launch of the process information portal for the designed application.

Detailed description of the AsPortal application functionality and configuration can be found in “Asix4Internet – user manual”.

AsPortal application configurator is launched by a command from the main menu:

Application > Configure Internet Applications > AsPortal tab

Configurator handling is reduced to use of two buttons:

  • Configure on the Server configuration tab – creates AsixConnect channel, parameterizes Web.Config file, assigns rights of access to the variable definitions base directory

  • Run AsPortal on the Client tab – allows to run AsPortal with access to process data of the operating application

Application is available locally under the address:

http://localhost/AsPort

Application is availabe in the local network under the address:

http://<computer name in Windows system>/AsPort

The scope of displayed information about process variables can be determined with use of View editor of AsPortal application started with command:

Application > Configure appearance of AsPortal Application

Editor allows to determine the list of attributes displayed:

- in the database preview and variable selection window, with determination of the number of lines displayed in one page (Variable definitions base tab);

- in the current data table (Current data tab);

- in the variable table, in result table headers, in description on the printout page – for the data presented in table form (Historical data – table tab);

- in variable table, in description on the printout page – for the data presented in form of charts (Historical data – chart tab).

Fig. Window of view editor of AsPortal application.


3.20. Web application creator

Web application creator allows to generate Web application, which can be viewed by the user by means of Internet Explorer 6/7 browser. One button click is enough to convert all standard application components to format required by Web application.

Detailed description of converting asix application into Web application can be found in “Asix4Internet – user manual” (Asix4Internet.hlp or Asix4Internet.pdf).

The web application converter is run by the Generate Web Application command form the Application menu.

Fig. Web application creator window.

Application is available locally after entering in IE6 browser of the following address:

http://localhost/<name of virtual application directory>

Application is available in the local network under the address

http://<computer name in Windows system>/<name of virtual application directory>

Fig. Web application 'Factory'.


3.21. Trend converter for old trend version

The trend converter is dedicated to convert trend definitions from *.DAT files into *.TRNX files. The *.DAT files were used up to asix 3 version. The current format of trend files is TRNX.

All the variables used by trend fields have to be declared in Variable Definition Base - only then the conversion can be realized.


3.22. Table editor

Variable Tables enable you to create windows designed to inspect the current values of ASMEN variables. You can access Variable Tables in edition mode from Architect or in run-time mode by using the TABLE operator action.

The edition of Variable Table is supported by the editor run from the Table Editor... command from the Tools menu of Architect.

Variable Table gives the possibility of access to the description of binary digits of status variables as well as description of binary digit values of status variables.

The interface of editor groups similar parameters defining a table on separate tabs:

- Table - defines basic parameters: position and size of table window, table view, cell view,...;

- Columns - defines headers of displayed columns and the format of displayed values;

- Rows - declares the variables to be displayed in a table (values of variables or values of binary digits);

- Colors - formats colors of a table and displayed values;

The example of table definition with values of analog variables you find in demo application 'Factory' available in asix package.

(default directory after asix installation: C:\AsixApp\Factory\Tables, file: T1.tbl)

The example of table definition with values of binary digits of status variable displayed in successive columns of variable row you find in demo application 'Factory' available in asix package.

(default directory after asix installation: C:\AsixApp\Factory\Tables, file: T3_diag.tbl)

The example of table definition with values of binary digits of status variable displayed in successive rows you find in demo application 'Factory' available in asix package.

(default directory after asix installation: C:\AsixApp\Factory\Tables, file: Drive_status.tbl)


6 Appendix 1 - List of system attributes of the variable

Appendix 1 - List of system attributes of the variable definitions database

Table 1. List of system attributes of the variable definitions database

Internal name of the variable attribute (PL) | Attribute type | Default name displayed in the header (PL) | Internal name of the variable attribute (EN) | Default name displayed in the header (EN) | Type | Description
Nazwa | mandatory | Nazwa | Name | Name | T | Unique symbolic name of the process variable univocally identifying the variable for all asix system components
Opis | mandatory | Opis | Description | Description | T | A custom text e.g. containing the technological description of process variable
Kanał | mandatory | Kanał | Channel | Channel | T | Logical name of the transmission channel (one of the names given in the transmission channel declaration)
Adres | mandatory | Adres | Address | Address | T | Symbolic address, whose form is specific for each asix system driver
LiczbaElementow | mandatory | Liczba elementów | ElementsCount | Elements count | N | Number of elements included in the process variable (variable can be an array)
OkresProbkowania | mandatory | Okres próbkowania | SampleRate | Sample rate | N | Period of process variable value updating (in seconds)
FunkcjaPrzeliczajaca | mandatory | Funkcja przeliczająca | ConversionFunction | Conversion function | T | Name of conversion function used to convert the value received from the controller to the value fed to asix system components
Archiwum | mandatory | Archiwum | Archive | Archive | T | Name of ASPAD resource (logical name of archive resource)
ParametryArchiwizacji | mandatory | Parametry archiwizacji | ArchivingParameters | Archiving parameters | T | Parameters of archiving of the given variable
Grupa1 | optional | Grupa1 | Group1 | Group1 | T | Grouping attribute, generated by default
Format | optional | Format | Format | Format | T | Format of the number, used for displaying in asix system; the format is given in the manner required by C language (e.g. %4t2f is 4 digits, including 2 decimal digits
Jednostka | optional | Jednostka | Unit | Unit | T | Physical variable unit
ZakresPomiarowyOd | optional | Zakres pomiarowy od | MeasurementRangeFrom | Measurement range from | N | Maximum range, which can be used – minimal value
ZakresPomiarowyHi | optional | Zakres pomiarowy do | MeasurementRangeTo | Measurement range to | N | Maximum range, which can be used – maximal value
ZakresSurowyOd | optional | Zakres surowy od | RawRangeFrom | Raw range from | N | Conversion function parameter – input range from …
ZakresSurowyDo | optional | Zakres surowy do | RawRangeTo | Raw range to | N | Conversion function parameter – input range to …
ZakresPrzetwornikaOd | optional | Zakres przetwornika od | TransducerRangeFrom | Transducer range from | N | Transducer range – minimal value
ZakresPrzetwornikaDo | optional | Zakres przetwornika do | TransducerRangeTo | Transducer range to | N | Transducer range – maximal value
ZakresWyswietlaniaOd | optional | Zakres wyświetlania od | DisplayRangeFrom | Display range from | N | Lower range limit for displaying the given variable – for asix objects
ZakresWyswietlaniaDo | optional | Zakres wyświetlania do | DisplayRangeTo | Display range to | N | Upper range limit for displaying the given variable – for asix objects
ZakresSterowaniaOd | optional | Zakres sterowania od | SteeringRangeFrom | Steering range from | N | Lower range limit for the value of the given variable set from asix
ZakresSterowaniaDo | optional | Zakres sterowania do | SteeringRangeTo | Steering range to | N | Upper range limit for the value of the given variable set from asix
BazaSlupka | optional | Baza słupka | BarBase | Bar base | T | Size loaded from the database by the BAR object
NazwyStanow | optional | Nazwy stanów | StateNames | State names | T | Name of the set of texts or directly - the set of description of variable states (specific full values)
ZestawStanow | optional | Zestaw stanów | StateSet | State set | T | Name of the set of state descriptions, where the current line belongs to. Attribute used only for lines including the state description set element.
WartoscStanu | optional | Wartość stanu | StateValue | State value | T | Number of state, whose description is used in the current line. Attribute used only for lines including the state description set element.
MaskaZmiennejKontrolnej | optional | Maska zmiennej kontrolnej | ControlVariableMask | Control Variable mask | T | Indicator of the status bit signaled by the control variable
ZmiennaKontrolna | optional | Zmienna kontrolna | ControlVariable | Control variable | T | Name of variable representing the measurement variable status
LimitLoLo | optional | Minimum krytyczne | LimitLoLo | Limit LoLo | T | Name of asix system variable containing the critical minimal value for the measurement variable
LimitLo | optional | Minimum | LimitLo | Limit Lo | T | Name of asix system variable containing the minimal value for the measurement variable
LimitHi | optional | Maksimum | LimitHi | Limit Hi | T | Name of asix system variable containing the maximal value for the measurement variable
LimitHiHi | optional | Maksimum krytyczne | LimitHiHi | Limit HiHi | T | Name of asix system variable containing the critical maximal value for the measurement variable
ZakresWyswietlaniaKrok | optional | Zakres wyświetlania krok | DisplayRangeStep | Display range step | L | It is used by CHART object. It means span of units of main scale on OY axis (at how many unit intervals the label will be displayed on OY axis)
ZakresWyswietlaniaSzer | optional | Zakres wyświetlania szerokość | DisplayRangeWidth | Display range width | L | It is used by CHART object. It means the width of value label displayed on 0Y axis
ZakresWyswietlaniaPodzial | optional | Zakres wyświetlania podział | DisplayRangeDivision | Display range division | L | It is used by CHART object. It determines the segmentation of main scale units defined by DisplayRangeStep attribute into smaller ones on 0Y axis
Dokladnosc | optional | Dokładność | Precision | Precision | T | Rounding precision for the NUMBER object. E.g. , if 10 is given in this field, the number will be rounded to full tens. By default, rounding is disabled.
PolozenieSuwaka | optional | Położenie suwaka | SliderPosition | Slider position | T | Name of variable, where the values representing the position of the SLIDER object during moving of such slider will be entered.
RejestracjaSterowania | optional | Rejestracja sterowania | ControlLogging | Control logging | Logical value | Value 1 means that control actions of the variable are registered in AsAudit module
ZmiennaNieaktywna | optional | Zmienna nieaktywna | ItemNotActive | Item not active | Logical value | If the attribute value is 1, the variable is not visible in asix system for Asmen and Aspad
WykresTytul | optional | Tytuł wykresu | ChartTitle | Chart title | T | It is used by CHART object. It is used for object parameterization – while defining the parameters in CHART parameterization window, the title of the chart is retrieved from VarBase, from definition of variable added to the chart as first
ZakresSlupkaOd | optional | Zakres słupka od | BarRangeFrom | Bar range from | T | It is used by BAR object. Lower range limit for the value of the given variable
ZakresSlupkaDo | optional | Zakres słupka do | BarRangeTo | Bar range to | T | It is used by BAR object. Upper range limit for the value of the given variable
SzybkieOdswiezanie | optional | Szybkie odświeżanie | FastRefresh | Fast refresh | Logical value | It is used by CtTwinCATTcpip driver from the version 1.3.5. The variables with this parameter declared have the possibility of fast refresh with maksimal speed of a link (it doesn't influence archiving time)
SprawdzanieZakresuPomiarowego | optional | Sprawdzanie zakresu pomiarowego | MeasurementRangeCheck | Measurement range check | Logical value | The value of 1 menas that overflows of measurement range will be detected and signalled by the special OPC status for specified variable.

T –text, N – 64-bit floating point number


7 Appendix 2 - List of system attributes of the variable

Appendix 2 - List of system attributes of the variable definitions database together with objects using this attributes

Tabela 2. List of system attributes of the variable definitions database together with objects using this attributes.

Objects Attributes | NUMBER | MOVE CONTROLLER | STRING | WORK POINT | BAR | SLIDER | TEXT** | TEXTS | POINTER | CHART | AsAudit Module | AsTrend* Module
Description |  |  |  |  |  |  | P | P |  |  |  | P
Channel |  |  |  |  |  |  | P |  |  |  |  |
Address |  |  |  |  |  |  | P |  |  |  |  |
Elements count |  |  | P |  |  |  | P |  |  |  |  |
Sample rate |  |  |  |  |  |  | P |  |  |  |  |
Conversion function |  |  |  |  |  |  | P |  |  |  |  |
Archive |  |  |  |  |  |  | P |  |  |  |  | P
Archiving parameters |  |  |  |  |  |  | P |  |  |  |  | P
Group1 |  |  |  |  |  |  | P |  |  |  |  |
Format | P |  |  |  |  |  | P |  |  |  |  | P
Unit |  |  |  |  |  |  | P |  |  |  |  |
Measurement range from |  | P |  |  |  |  | P |  |  |  |  | P
Measurement range to |  | P |  |  |  |  | P |  |  |  |  | P
Raw range from |  |  |  |  |  |  | P |  |  |  |  |
Raw range to |  |  |  |  |  |  | P |  |  |  |  |
Transducer range from |  |  |  |  |  |  | P |  |  |  |  |
Transducer range to |  |  |  |  |  |  | P |  |  |  |  |
Display range from | P |  |  | P | P | P | P |  | P | P |  | P
Display range to | P |  |  | P | P | P | P |  | P | P |  | P
Steering range from | P |  |  |  |  | P | P |  |  |  |  |
Steering range to | P |  |  |  |  | P | P |  |  |  |  |
Bar base |  |  |  |  | P |  | P |  |  |  |  |
State names |  |  |  |  |  |  | P | P |  |  |  | P
State set |  |  |  |  |  |  | P | P |  |  |  | P
State value |  |  |  |  |  |  | P | P |  |  |  | P
Control variable mask | P |  |  | P | P | P | P |  | P |  |  |
Control variable | P |  |  | P | P | P | P |  | P |  |  |
Limit LoLo | P |  |  |  | P |  | P |  | P |  |  | P
Limit Lo | P |  |  |  | P |  | P |  | P |  |  | P
Limit Hi | P |  |  |  | P |  | P |  | P |  |  | P
Limit HiHi | P |  |  |  | P |  | P |  | P |  |  | P
Display range step |  |  |  |  |  |  | P |  |  | P |  |
Display range width |  |  |  |  |  |  | P |  |  | P |  |
Display range division |  |  |  |  |  |  | P |  |  | P |  |
Precision | P |  |  |  |  |  | P |  |  |  |  |
Slider position |  |  |  |  |  |  | P |  |  |  |  |
Control logging |  |  |  |  |  |  | P |  |  |  | P |
Chart title |  |  |  |  |  |  | P |  |  | P |  |
Bar range from |  |  |  |  | P |  | P |  |  |  |  |
Bar range to |  |  |  |  | P |  | P |  |  |  |  |

* - AsTrend module can display in Legend the values of all attributes of variable declared in the chart

** - TEXT module can display the values of all attributes

! Name attribute is used by all the objects.

! Item not active attribute has an effect on all objects; if the attribute value is 1, the avariable is not visible in asix system for Asmen and Aspad


8 Appendix 3 – List of language codes

Appendix 3 – List of language codes

Language code | Language name
Af | Afrikaans
Sq | Albanian
En | English
Az | Azeri
be | Belarusian
bg | Bulgarian
hr | Croatian
cs | Czech
da | Danish
et | Estonian
fi | Finnish
fr | French
el | Greek
ka | Georgian
es | Spanish
nl | Dutch
is | Icelandic
kk | Kazakh
ko | Korean
lt | Lithuanian
lv | Latvian
mk | Macedonian
de | German
no | Norwegian
hy | Armenian
pl | Polish
pt | Portuguese
ru | Russian
ro | Romanian
sr | Serbian
sk | Slovakian
sl | Slovenian
sv | Swedish
tr | Turkish
uk | Ukrainian
uz | Uzbek
hu | Hungarian
it | Italian


Appendix 4 - Control characters used for definition of constant printout elements

The definitions of headers and footers are comprised of three parts separated with | character. They will be printed, respectively, on the left side, in the middle, and on the right side of the page.

&p - page number

&c - machine name

&a - application name

&o - operator (in version 2.66 - empty text)

&w - text definining the printout type (predefined text, e.g. to print the scheme mask: “Screen dump")

&r - report name

&m - month - number

&M - month - name

&y - year

&h - hour

&n - minute

&s - second

&D - full date in form defined in the operating system

&T - full time in form defined in the operating system

&& - &

&es - name of printed alarm resource

&ef - start time of the printed alarm period

&et - end time of the printed alarm period

&ec - description of used criteria – filename, if the criteria are taken from selection file

Header and footer can have many lines. For this purpose, the text should include ^ character.


Appendix 5 – Alarm line format

A - alarm text;

D - alarm date – 4-digit year;

d - alarm date – 2-digit year;

T - alarm time with miliseconds;

t - alarm time without miliseconds;

S - status: start/end (during printing of active alarms, S flag is ignored);

N - subsequent number;

I - alarm number/identifier;

X - in space of code, the * character is printed for special alarms, and space for normal alarms;

Spacja - enters a space to the text;

Default value: the default format is ADTS;

After A flag, it is possible to give the length of field and number of starting character in format: length[/first_character] - first_character can be a negative number, which shall mean that it is counted from the end of alarm text.


1

1. Operation of Architect

1.1. Introduction

1.2. Asix system components

1.3. Operational environment of Architect module

1.3.1. Starting the Architect module

1.3.2. Closing the Architect module

1.3.3. Main window of the Architect module

1.3.3.1 Module tree

1.3.3.2 Configuration parameters block

1.3.4. Individual options of Architect operation

1.3.5. Main menu and available commands

2. Handling of the asix application variable definitions databases

2.1. Introduction

2.1.1. Database creation mode

2.1.2. Database format

2.1.3. Variable attributes

2.1.4. Names of attributes and tables

2.2. Creating database in the Editor mode

2.2.1. Editing the variable definitions database – Items definitions editor

2.2.1.1 Adding, deleting and modifying variables

2.2.1.2 Adding and deleting variable attributes

2.2.1.3 Simultaneous editing attribute value for several variables

2.2.1.4 Searching for attribute value and filtering records according to attribute value

2.2.1.5 Selecting visible variable attributes

2.2.2. Creating the variable definitions base scheme – Scheme editor

2.2.2.1 Variable grouping

2.2.2.2 Attributes sets

2.2.2.3 Conversion function parameters

2.2.2.4 Translating the variable attribute names

2.2.2.5 Substitute attributes

2.2.2.6 Declaring the attribute languages

2.2.2.7 Variable averages for AsTrend usage

2.2.3. Importing modifications from Excel worksheet

2.3. Creating database in the Generator mode

2.3.1. Generating the variable definitions base from Excel worksheet

2.3.2. Generating the variable definitions base on the basis of OLE DB base

2.4. Use of Excel worksheet as the source of variable attribute data without generating the variable database

2.5. Preparing the external data source – Excel worksheet

2.5.1. Variable attributes

2.5.2. Grouping

2.5.3. Attribute sets

2.5.4. Conversion function parameters

2.5.5. Captions

2.5.6. Attribute languages

2.5.7. Substitute attributes

2.5.8. AsTrend averages naming

2.6. Storing description of variable states in VarDef

2.7. Converting the variable definitions base from text files to Jet or SQL format

2.8. Exporting database to Excel

2.9. Access from other programs

3. Configuration of asix system application

3.1. Introduction

3.1.1. Recommendations for handling of default options in configuration modules

3.2. Creating the new application configuration file.

3.3. Importing *.INI configuration files

3.4. Configuration of start parameters

3.4.1. Standard data

3.4.2. Declaration of programs started together with the application.

3.4.3. Declaration of masks opened automatically at application start-up

3.4.4. Basic parameters of Control Panel and Designer

3.4.5. Declaration of application languages

3.4.6. Defining interdependencies between computers and fields

3.4.7. Declaration of Paradox variable definitions base

3.5. Configuration of masks parameters

3.5.1. Declaring the location of graphic files and technological masks

3.5.2. Declaration of fonts used in the designed application

3.5.3. Definition of menu located on application mask

3.5.4. Definitions of text parameters

3.5.5. Screen keyboard declaration

3.5.6. Parameters controlling the visualization object blinking period and parameters for transmitted controls

3.6. Configuration of current data parameters

3.6.1. Standard parameters

3.6.2. Advanced parameters

3.6.3. Diagnostic parameters

3.6.4. Definition of communication channels

3.7. Configuration of network server related current data parameters

3.7.1. Standard data

3.7.2. Advanced data

3.7.3. Diagnostic parameters

3.8. Configuration of archival data

3.8.1. Standard data

3.8.2. Declaration of server response waiting time

3.8.3. Diagnostic parameters

3.8.4. Historical data merging parameters

3.8.5. Archive parameterization

3.8.5.1 Standard parameters

3.8.5.2 Aggregates archiving

3.8.5.3 Data filling management

3.8.5.4 Parameters defining the archive backup execution

3.8.5.5 Declaration of synchronization of B-type archive contents with MS SQL base data

3.9. Configuration of alarm system

3.9.1. Determining the alarms definitions base creation mode

3.9.1.1 Preparation of alarms definitions and alarms groups in Excel spreadsheet

3.9.1.2 Generating alarms definitions base from spreadsheet

3.9.2. Activating the alarms system work mode

3.9.3. Declaring the alarms definitions files and alarms groups definitions files

3.9.4. Parameterizing the alarms archive

3.9.5. Definition of alarms strategy

3.9.6. Definition of alarm format

3.9.7. Parameterization of alarm signaling

3.9.8. Declaration of alarm handling authorizations

3.9.9. Declaration of buzzers map and exclude map

3.9.10. Advanced parameters

3.10. Configuration of network module

3.10.1. Standard data

3.10.2. Declaration of time synchronization on client side

3.10.3. Declaration of time synchronization of server side

3.10.4. Advanced parameters

3.10.5. Diagnostic parameters

3.10.6. Diagnostic parameters passed to AslView

3.11. Application security configuration

3.11.1. Activating the dynamic security mechanism. Definition of level password mode

3.11.2. Parameterization of login system

3.11.3. Parameterization of level passwords system

3.11.4. Parameterization of locks

3.12. Printout parameter configuration

3.12.1. Declaration of printing permission. Declaration of color changes performed during masks dumps

3.12.2. Declaration of screen printout

3.12.3. Declaration of font parameters and header and footer parameters

3.12.4. Declaration of report printing

3.12.5. Declaration of alarms printing

3.12.6. Special characters controlling the printout format

3.13. Declaration of report definition handling

3.13.1. Declaration of script reports files

3.14. Configuration of script and action parameters

3.14.1. Declaration of scripts initiated automatically

3.14.2. Parameterization of script handling

3.14.3. Declaration of action sets

3.14.4. Declaration of action scheduler

3.15. Miscellaneous parameters group

3.15.1. Declaration of application resolution and work directory for screen dumps

3.15.2. Parameterization of CALCULATOR and EXPRESSION object

3.15.3. Parameterization of software update mechanism

3.15.4. Interpretation of key sets. Time change limits. Load reduction

3.15.5. Declaration of parameters entered directly

3.16. Configuring multilingual application

3.17. Running the application

3.18. AsPortal application configurator

3.19. Web application creator

Figures

Tables

Appendix 1 - List of system attributes of the variable definitions database

Appendix 2 - List of system attributes of the variable definitions database together with objects using this attributes

Appendix 3 – List of language codes

Appendix 4 - Control characters used for definition of constant printout elements

Appendix 5 – Alarm line format